Search.setIndex({"docnames": ["coding_basics", "coding_in_cython", "coding_in_other", "coding_in_python", "doctesting", "git_advanced", "git_background", "git_basic", "git_setup", "github", "index", "packaging", "packaging_sage_library", "portability_platform_table", "portability_testing", "review", "sage_manuals", "tools", "walkthrough", "workflows", "workspace"], "filenames": ["coding_basics.rst", "coding_in_cython.rst", "coding_in_other.rst", "coding_in_python.rst", "doctesting.rst", "git_advanced.rst", "git_background.rst", "git_basic.rst", "git_setup.rst", "github.rst", "index.rst", "packaging.rst", "packaging_sage_library.rst", "portability_platform_table.rst", "portability_testing.rst", "review.rst", "sage_manuals.rst", "tools.rst", "walkthrough.rst", "workflows.rst", "workspace.rst"], "titles": ["General Conventions", "Coding in Cython", "Using External Libraries and Interfaces", "Coding in Python for Sage", "Running Sage\u2019s Doctests", "Advanced Git", "Git Tips and References", "Git Basics", "Setting Up Git", "The Sage Repository on GitHub", "Welcome to Sage Developer Guide", "Packaging Third-Party Code for Sage", "Packaging the Sage Library for Distribution", "&lt;no title&gt;", "Testing on Multiple Platforms", "Reviewing Code", "The Sage Manuals", "Development and Testing Tools", "Development Walk-through", "Using Git with GitHub", "Setting up Your Workspace"], "terms": {"There": [0, 1, 2, 3, 4, 6, 7, 9, 11, 12, 14, 15], "ar": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 12, 14, 15, 16, 17, 18, 19, 20], "mani": [0, 3, 5, 6, 9, 10, 11, 12, 14, 15, 17, 18], "wai": [0, 1, 2, 3, 4, 6, 7, 9, 10, 11, 12, 14, 15, 17], "contribut": [0, 3, 5, 9, 10, 17, 20], "includ": [0, 2, 3, 4, 5, 7, 11, 12, 14, 15, 17, 18, 19], "share": [0, 1, 2, 9, 10, 11, 14, 16, 19], "script": [0, 4, 10, 12, 14, 16, 17], "worksheet": [0, 1], "implement": [0, 2, 3, 6, 9, 10, 11, 12, 14, 15], "new": [0, 3, 4, 5, 7, 9, 10, 12, 14, 15, 17, 18, 20], "us": [0, 1, 5, 6, 7, 8, 10, 12, 15, 16, 17, 18], "improv": [0, 4, 7, 9, 11, 15], "work": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15, 16, 17, 18, 19, 20], "underli": [0, 4], "distribut": [0, 3, 4, 7, 8, 10, 11, 15, 17], "1": [0, 1, 2, 3, 4, 5, 7, 8, 9, 11, 12, 13, 14, 15, 17, 18, 19], "thi": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "guid": [0, 2, 3, 6, 7, 9, 11, 14, 16, 18], "focus": [0, 2], "edit": [0, 2, 4, 5, 6, 7, 10, 11, 12, 14, 19, 20], "itself": [0, 11], "i": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "just": [0, 2, 3, 4, 5, 7, 11, 12, 14, 15, 17, 18, 19], "gather": 0, "togeth": [0, 2, 3], "It": [0, 1, 2, 3, 4, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19], "provid": [0, 3, 4, 9, 11, 12, 14, 15, 17, 19], "clear": [0, 2, 15], "systemat": 0, "consist": [0, 2, 4, 5, 9, 11, 12, 14, 15], "access": [0, 2, 5, 9, 12, 14, 16], "larg": [0, 3, 11, 12, 17], "number": [0, 2, 3, 4, 5, 7, 9, 11, 12, 15, 17], "algorithm": [0, 2, 4, 11, 19], "coher": 0, "framework": [0, 3, 4, 14, 17], "make": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 17, 19], "sens": [0, 3, 4, 11], "mathemat": [0, 3, 9, 10, 12, 15], "In": [0, 1, 2, 3, 4, 7, 9, 11, 12, 14, 16, 18, 20], "design": [0, 10, 12, 16], "semant": [0, 12], "object": [0, 1, 2, 6, 7, 9, 10, 12, 16, 18, 19], "definit": [0, 2, 3, 17], "etc": [0, 1, 3, 5, 9, 10, 11, 12, 14, 15], "inform": [0, 1, 2, 3, 4, 8, 9, 12, 14, 15, 16, 17], "how": [0, 2, 3, 5, 6, 7, 9, 10, 12, 14, 15, 17, 18, 19, 20], "correspond": [0, 2, 5, 7, 11, 14, 17], "everydai": 0, "see": [0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19], "http": [0, 1, 2, 3, 4, 5, 7, 9, 11, 14, 16, 17, 18, 19], "www": [0, 1, 2, 16], "sagemath": [0, 2, 4, 5, 7, 9, 12, 14, 17, 18, 19], "org": [0, 1, 2, 3, 4, 11, 14, 16, 17], "link": [0, 1, 2, 10, 11, 12, 14, 15, 16], "compon": [0, 2, 3, 9, 11, 15, 17], "html": [0, 2, 3, 4, 9, 11, 14, 15, 16, 17], "full": [0, 4, 14, 16, 17], "list": [0, 2, 3, 4, 11, 12, 14, 15, 17, 18], "packag": [0, 1, 2, 4, 8, 9, 15, 17, 18], "ship": [0, 12, 15], "everi": [0, 2, 3, 5, 9, 10, 11, 12, 14, 16, 20], "To": [0, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 16, 18, 19, 20], "meet": [0, 11], "goal": [0, 3, 15, 18], "easi": [0, 1, 2, 3, 5, 6, 7, 10, 14, 15, 18], "read": [0, 2, 4, 5, 6, 9, 10, 11, 14, 15, 17, 18], "maintain": [0, 3, 10], "all": [0, 1, 2, 3, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 20], "cython": [0, 2, 3, 4, 10, 12, 15, 18], "should": [0, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 17, 18, 19], "adher": [0, 9], "discuss": [0, 1, 2, 3, 4, 6, 9, 10, 11, 15, 19], "chapter": [0, 1, 2, 3, 4, 5, 6, 10, 12, 18], "follow": [0, 1, 2, 3, 4, 7, 8, 9, 11, 12, 14, 15, 16, 17, 18, 20], "standard": [0, 1, 4, 9, 10, 12, 13, 14, 15, 17], "format": [0, 4, 6, 9, 11, 14, 15, 16], "rule": [0, 3, 6, 11, 15], "when": [0, 1, 2, 3, 4, 5, 6, 9, 10, 12, 14, 15, 17, 18, 19], "explain": [0, 2, 4, 6, 9, 10, 11, 12, 14, 15, 17, 18, 19], "url": [0, 9, 14], "pep": [0, 3, 12, 17], "0008": 0, "0257": 0, "particular": [0, 2, 3, 4, 5, 7, 9, 11, 12, 14, 17], "4": [0, 1, 2, 3, 4, 7, 9, 11, 12, 13, 14, 17], "space": [0, 2, 3, 14, 17, 18], "indent": [0, 17], "level": [0, 3, 4, 11, 14], "do": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19], "tab": [0, 4, 5, 9, 14, 15], "thei": [0, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 19], "can": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "result": [0, 1, 2, 3, 4, 7, 9, 12, 14, 16], "confus": [0, 3, 4, 14], "most": [0, 1, 2, 3, 4, 5, 7, 8, 9, 11, 12, 14, 16, 17, 18], "editor": [0, 5, 10, 18], "have": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 18, 19, 20], "featur": [0, 1, 3, 4, 5, 6, 9, 10, 12, 14, 15], "insert": [0, 4, 5, 7, 12, 18], "kei": [0, 3, 9, 11, 14, 20], "hit": [0, 7, 14, 15], "also": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 17, 18, 19, 20], "automat": [0, 1, 3, 4, 7, 9, 10, 11, 12, 16, 17, 19], "search": [0, 4, 9, 10, 12, 14], "replac": [0, 2, 3, 4, 8, 9, 11, 12, 14, 15, 16, 18], "lead": [0, 3, 7, 14, 17, 18], "befor": [0, 4, 5, 7, 9, 10, 11, 14, 15, 17, 18, 19], "after": [0, 2, 3, 4, 5, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "assign": 0, "binari": [0, 11, 14], "oper": [0, 2, 3, 4, 5, 7, 9, 14, 17, 19], "lowest": [0, 12], "prioriti": [0, 9, 15], "express": [0, 12, 14, 17], "c": [0, 1, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 18], "b": [0, 1, 2, 3, 5, 7, 11, 16, 18, 19], "No": [0, 4, 9, 10, 11, 15], "sign": [0, 18], "keyword": [0, 3, 9, 12, 17], "argument": [0, 1, 3, 10, 11, 14, 17, 18], "def": [0, 1, 2, 3, 4, 7, 12], "complex": [0, 11], "real": [0, 3, 4, 11, 14, 16], "imag": [0, 7, 9, 10, 13, 17], "0": [0, 1, 2, 4, 5, 7, 10, 11, 12, 14, 17, 19], "return": [0, 1, 2, 4, 7, 9, 10, 12, 14], "magic": [0, 6], "r": [0, 2, 3, 4, 5, 7, 9, 14, 15, 17], "immedi": [0, 1, 18], "insid": [0, 11, 14], "parenthesi": 0, "bracket": 0, "brace": 0, "spam": 0, "ham": 0, "egg": [0, 12, 17], "2": [0, 1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 13, 14, 15, 17, 19], "rang": [0, 1, 2, 7, 11, 12], "3": [0, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 17], "lowercas": 0, "name": [0, 2, 3, 4, 5, 6, 7, 8, 9, 12, 14, 18, 19], "word": [0, 6, 9, 11, 17], "separ": [0, 2, 5, 9, 11, 12, 14, 17], "underscor": [0, 3, 11, 12, 16], "For": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 20], "you": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "encourag": [0, 10, 11, 14], "set_some_valu": 0, "howev": [0, 1, 2, 3, 4, 5, 7, 10, 11, 12, 14, 15, 18, 19], "some": [0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 20], "uppercas": 0, "letter": [0, 2, 16], "where": [0, 2, 3, 4, 5, 6, 9, 10, 12, 14, 16, 18, 19], "instanc": [0, 1, 2, 3, 15, 18], "lattic": [0, 4], "reduct": 0, "lll": 0, "call": [0, 1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 14], "matrix_integer_dens": 0, "camelcas": 0, "class": [0, 1, 2, 3, 10, 11, 12, 15, 16], "somevalu": 0, "__init__": [0, 2, 3, 4, 12, 16], "self": [0, 1, 2, 3, 4], "x": [0, 2, 3, 4, 5, 7, 11, 12, 14, 15], "_x": 0, "factori": [0, 3], "mimic": 0, "constructor": [0, 4], "polynomialr": [0, 2], "someidentityvalu": 0, "roughli": [0, 12], "tree": [0, 4, 5, 7, 11, 12, 14, 18], "layout": [0, 11], "like": [0, 1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 14, 15, 17, 18, 19], "we": [0, 1, 2, 3, 4, 5, 7, 8, 9, 10, 11, 12, 14, 15, 17, 18, 19, 20], "sage_root": [0, 2, 3, 4, 11, 12, 14, 16, 17, 18], "shortcut": [0, 5, 6, 11, 18], "arbitrari": [0, 9, 14], "contain": [0, 2, 3, 4, 5, 6, 9, 10, 11, 12, 15, 16, 17, 18], "sourc": [0, 2, 3, 4, 5, 9, 10, 14, 15, 16, 17, 19], "launcher": 0, "makefil": [0, 4, 11, 14, 16], "top": [0, 3, 4, 5, 9, 11, 12, 14, 19], "build": [0, 1, 3, 4, 9, 10, 15, 18, 20], "system": [0, 2, 3, 4, 6, 7, 9, 12, 15, 17, 18], "pkg": [0, 3, 4, 11, 12, 14, 17], "instal": [0, 1, 3, 4, 5, 10, 12, 16, 17, 18, 20], "patch": [0, 4, 15], "metadata": [0, 3, 12], "from": [0, 1, 2, 5, 6, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "spkg": [0, 3, 12, 14], "src": [0, 2, 3, 4, 7, 11, 12, 14, 16, 17, 18], "setup": [0, 3, 11, 12, 17], "ext_data": 0, "extra": [0, 4, 7, 12, 14, 17], "resourc": [0, 3, 8, 9, 14], "formerli": [0, 17], "ext": [0, 11, 12], "bin": [0, 3, 4, 7, 11, 12, 14], "local": [0, 3, 4, 5, 7, 9, 10, 11, 12, 16, 17, 18, 19, 20], "track": [0, 3, 4, 5, 6, 11, 15, 18], "upstream": [0, 3, 5, 6, 7, 9, 10, 14, 17, 18], "tarbal": [0, 12, 14, 15], "goe": [0, 4, 15], "mai": [0, 2, 3, 4, 5, 6, 8, 9, 10, 11, 12, 14, 15, 18, 19, 20], "plural": 0, "e": [0, 1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 15, 16, 17], "g": [0, 1, 2, 3, 5, 6, 9, 11, 14, 15, 16, 17, 18], "ring": [0, 1, 2, 3, 4, 12, 17], "almost": [0, 2], "alwai": [0, 2, 3, 4, 5, 9, 12, 15, 18], "singular": [0, 4, 10, 12], "polynomial_r": 0, "might": [0, 2, 3, 4, 6, 11, 14], "still": [0, 3, 4, 5, 10, 11, 12, 14, 15, 18, 20], "sever": [0, 1, 4, 9, 11, 12, 14, 15, 16], "differ": [0, 1, 2, 3, 7, 9, 11, 12, 14, 15, 16, 17, 18], "type": [0, 1, 2, 4, 5, 9, 10, 12, 14, 16, 17, 18], "polynomi": [0, 2, 3, 4], "email": [0, 5, 6, 8, 18], "your": [0, 1, 2, 3, 4, 5, 6, 8, 10, 11, 14, 15, 16, 17, 18, 19], "plain": [0, 17], "text": [0, 10, 16, 17, 18], "extens": [0, 1, 2, 3, 4, 7, 11, 14, 17], "txt": [0, 11, 12, 14, 17, 18], "subdirectori": [0, 11, 12, 14, 16, 17], "If": [0, 2, 3, 4, 5, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19], "want": [0, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19], "creat": [0, 1, 3, 4, 5, 6, 7, 10, 12, 14, 16, 17, 18, 20], "sai": [0, 1, 2, 3, 4, 5, 7, 12, 14, 16], "measure_theori": 0, "usual": [0, 3, 5, 11, 14, 15, 16, 17], "an": [0, 1, 2, 3, 4, 5, 6, 7, 10, 11, 12, 14, 15, 16, 17, 18, 20], "empti": [0, 5, 7, 11, 12, 14, 18], "which": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 16, 17, 18, 20], "mark": [0, 3, 4, 7, 9, 11, 12, 14, 18, 19], "ordinari": 0, "implicit": 0, "namespac": [0, 3, 4, 16], "import": [0, 1, 2, 4, 9, 10, 11, 12, 15, 16, 17, 18], "user": [0, 1, 2, 3, 4, 6, 7, 8, 9, 10, 11, 12, 14, 15, 17, 18, 19], "face": 0, "enough": [0, 3, 4, 11, 12, 14, 15, 19], "startup": [0, 3, 4, 17], "look": [0, 1, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 18, 19], "borel_measur": 0, "borelmeasur": 0, "banach_tarski": 0, "banachtarskiparadox": 0, "better": [0, 3, 7, 9, 11, 18], "lazy_import": [0, 3, 12], "misc": [0, 3, 4, 9, 12, 14], "Then": [0, 1, 2, 3, 4, 5, 7, 9, 11, 12, 14, 18, 19], "add": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19], "line": [0, 1, 2, 3, 4, 5, 6, 8, 9, 11, 14, 15, 16, 17, 18], "ad": [0, 2, 3, 4, 5, 6, 9, 10, 11, 12, 14, 15, 17, 18], "below": [0, 1, 2, 3, 4, 10, 11, 14, 17], "done": [0, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 18, 19], "sparingli": [0, 15], "often": [0, 1, 3, 4, 11, 12], "subpackag": 0, "exist": [0, 2, 3, 4, 5, 9, 10, 11, 12, 14, 15], "non": [0, 2, 3, 4, 6, 7, 11, 12, 14], "support": [0, 3, 9, 11, 12, 14, 15, 16], "one": [0, 1, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 17, 18], "place": [0, 2, 3, 4, 11, 14, 18], "same": [0, 1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 14, 16, 17, 18], "locat": [0, 4, 11, 12, 14, 16], "interfac": [0, 1, 3, 9, 10, 14, 19], "maxima": [0, 12], "need": [0, 1, 2, 3, 5, 6, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "lisp": [0, 2, 15], "runtim": [0, 4, 11], "so": [0, 1, 2, 3, 4, 5, 9, 10, 11, 12, 14, 15, 17, 18, 19], "refer": [0, 2, 3, 4, 7, 9, 10, 11, 12, 14, 15], "o": [0, 2, 5, 7, 11, 17], "path": [0, 11, 14, 16, 17, 18], "join": 0, "dirnam": 0, "__file__": 0, "appropri": [0, 2, 3, 4, 9, 11, 15, 19], "At": [0, 2, 4, 11, 14, 17], "avail": [0, 1, 2, 3, 4, 5, 6, 7, 9, 11, 12, 14, 17, 18], "indic": [0, 3, 9, 11, 12, 14, 15], "sage_extcod": 0, "env": [0, 12, 14, 20], "both": [0, 4, 7, 11, 12, 14, 15], "case": [0, 2, 3, 4, 7, 9, 11, 12, 14, 15, 16, 18], "must": [0, 1, 2, 3, 4, 7, 9, 10, 11, 12, 15, 16, 18, 19], "explicitli": [0, 3, 4, 14, 18, 19], "via": [0, 3, 4, 7, 11, 12, 14, 19], "wildcard": 0, "section": [0, 2, 3, 4, 5, 6, 7, 8, 11, 12, 14, 18], "package_data": 0, "cfg": [0, 3, 11, 12], "m4": [0, 3, 11, 12, 14], "anoth": [0, 3, 4, 5, 10, 11, 12, 14, 15, 16, 18], "here": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17], "find": [0, 2, 4, 9, 10, 12, 14, 15, 18], "brows": 0, "through": [0, 2, 3, 4, 5, 9, 10, 11, 12, 14, 15, 19], "help": [0, 3, 4, 6, 7, 8, 9, 10, 11, 14, 15, 16, 17, 18], "search_src": 0, "search_def": 0, "search_doc": 0, "worth": 0, "know": [0, 3, 4, 9, 10, 14, 15, 18], "briefli": [0, 9], "prompt": [0, 2, 12, 14, 19], "command": [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 14, 16, 17, 18, 19], "doe": [0, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 17, 18], "similar": [0, 1, 3, 4, 11, 12, 14, 17], "restrict": [0, 2], "while": [0, 1, 2, 3, 4, 7, 9, 10, 11, 12, 14, 15, 16, 17, 20], "more": [0, 1, 2, 3, 4, 6, 7, 9, 11, 12, 14, 15, 16, 17, 18], "each": [0, 2, 3, 4, 5, 9, 11, 12, 14, 15, 17, 18], "short": [0, 4, 5, 9, 16, 17], "summari": [0, 4, 10, 17, 18], "end": [0, 2, 4, 5, 14, 15, 17, 18], "period": 0, "paragraph": 0, "descript": [0, 11, 12, 16, 18], "lot": [0, 1, 4, 9, 12, 17], "author": [0, 2, 4, 5, 9, 11, 14, 15, 20], "2005": [0, 2], "01": [0, 1, 4], "03": [0, 4, 11, 14], "initi": [0, 3, 4, 6, 7, 12, 14], "version": [0, 1, 2, 3, 4, 7, 9, 10, 14, 16, 17, 18], "person": [0, 6, 9, 14], "date": [0, 1, 5, 6, 11, 12, 14, 18], "iso": 0, "year": [0, 3, 11], "month": 0, "dai": [0, 11], "desc": 0, "copyright": [0, 4], "2013": [0, 4, 5], "program": [0, 1, 2, 3, 4, 7, 11, 18], "free": [0, 4, 10, 11, 15, 18, 20], "softwar": [0, 2, 4, 9, 10, 11, 12, 14, 16, 17], "redistribut": [0, 4, 11], "modifi": [0, 4, 5, 7, 10, 15, 16, 18], "under": [0, 4, 7, 10, 11, 14, 16, 17, 18], "term": [0, 3, 7], "gnu": [0, 4, 11, 14], "public": [0, 5, 9, 11, 14, 20], "licens": [0, 4, 10, 12], "publish": [0, 3, 10], "foundat": [0, 4, 11], "either": [0, 3, 4, 5, 7, 11, 12, 14], "ani": [0, 1, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 18], "later": [0, 3, 4, 5, 14, 17], "As": [0, 1, 2, 3, 4, 5, 7, 10, 11, 12, 14, 17, 18], "integ": [0, 1, 2, 4, 5, 10, 16], "zz": [0, 2, 12], "peopl": [0, 9], "who": [0, 9, 10, 11, 12, 18], "made": [0, 1, 3, 4, 5, 6, 7, 10, 11, 15, 16, 18, 19], "major": [0, 1, 9, 14], "appear": [0, 3, 4, 9, 11, 12, 14, 16, 17], "belong": [0, 3, 15, 16], "refrain": [0, 15], "being": [0, 3, 5, 10, 11, 12], "verbos": [0, 4], "show": [0, 2, 7, 9, 12, 14, 15, 17, 18], "veri": [0, 1, 2, 3, 5, 6, 7, 9, 12, 14, 17, 18], "rough": 0, "overview": [0, 10, 18], "histori": [0, 6, 7, 10], "especi": 0, "been": [0, 1, 2, 3, 4, 7, 9, 10, 11, 12, 14, 15, 16, 17], "authorit": 0, "log": [0, 4, 5, 7, 9, 12, 14, 17, 18, 20], "wrote": [0, 9, 11], "what": [0, 1, 3, 4, 5, 9, 10, 11, 12, 14, 15, 17, 18, 19], "git": [0, 4, 11, 12, 14, 15, 17, 20], "repositori": [0, 5, 7, 10, 11, 12, 14, 15, 18, 19], "output": [0, 1, 2, 3, 14, 15, 16, 17], "blame": 0, "gplv2": 0, "compat": [0, 2, 3, 11, 14], "less": [0, 4, 7], "bsd": [0, 14], "A": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 16, 17, 18], "sentenc": 0, "blank": [0, 4, 17], "describ": [0, 3, 4, 9, 11, 14, 17, 19], "method": [0, 1, 2, 10, 12, 15, 16, 17], "effect": [0, 14, 18], "pathnam": 0, "recommend": [0, 4, 8, 11, 14, 15, 17], "unless": [0, 2, 3, 4, 15, 18], "prefer": [0, 2, 3, 9, 11, 12, 14, 15], "whether": [0, 2, 4, 7, 9, 11, 12, 14, 17, 18], "prime": [0, 2, 3, 18, 19], "longer": [0, 4, 5, 11, 15], "explan": [0, 4, 15], "start": [0, 1, 2, 3, 4, 5, 7, 9, 10, 11, 12, 14, 15, 17, 18, 20], "assumpt": [0, 3], "poset": 0, "expect": [0, 2, 4, 9, 11, 14, 15, 17], "rank": [0, 2], "rais": [0, 2, 3, 4, 7, 9], "except": [0, 2, 4, 6, 10, 11, 12, 14, 18], "defin": [0, 1, 2, 3, 4, 11, 12, 14, 16, 17], "lexicograph": 0, "product": [0, 3, 17], "h": [0, 2, 4, 6, 9, 14, 16, 17], "graph": [0, 3, 6, 7, 12], "vertex": 0, "set": [0, 2, 3, 4, 5, 6, 7, 9, 10, 12, 14, 15, 17, 18, 19], "mention": [0, 3, 9, 12], "possibl": [0, 2, 3, 4, 5, 6, 8, 9, 11, 12, 14, 15, 17], "alias": 0, "tensor": [0, 12], "known": [0, 4, 11, 12, 14, 17, 18], "categor": 0, "input": [0, 1, 2, 3, 4, 15], "accept": [0, 3, 4, 11, 12], "repres": [0, 2, 3, 12, 14], "exact": [0, 16, 18], "anyth": [0, 1, 3, 4, 9, 12, 14, 20], "behav": 0, "rather": [0, 3, 4, 7, 9, 11, 12], "than": [0, 1, 2, 3, 4, 7, 9, 11, 12, 15, 18], "int": [0, 1, 2, 3], "default": [0, 2, 3, 4, 7, 9, 11, 12, 14, 16, 17, 18], "valu": [0, 2, 4, 7, 10, 11, 14, 18], "applic": [0, 14], "n": [0, 1, 2, 3, 4, 5, 12, 17], "p": [0, 2, 3, 4, 5, 9, 14, 15, 17], "coprim": 0, "requir": [0, 2, 3, 4, 5, 7, 9, 11, 12, 15, 17, 18], "plaintext": 0, "decrypt": 0, "ciphertext": 0, "item": [0, 3, 4, 9, 14], "tupl": [0, 1, 2, 3, 4, 12], "reduc": [0, 3, 4, 12, 17], "echelon": 0, "form": [0, 2, 3, 4, 11, 12, 14, 16], "matrix": [0, 2, 10], "transform": [0, 4], "u": [0, 2, 4, 5, 7, 9, 10, 11, 12, 14, 17], "ua": 0, "complic": [0, 3, 7], "decomposit": 0, "modul": [0, 3, 10, 11, 16, 17], "act": [0, 9, 10, 19], "right": [0, 3, 6, 7, 11, 14, 19], "action": [0, 3, 9, 10, 15, 17], "xa": 0, "along": [0, 9, 11], "irreducibli": 0, "factor": [0, 3, 4, 14], "guarante": [0, 4, 14, 15], "sort": [0, 2, 4, 11, 17], "characterist": [0, 2, 12], "These": [0, 1, 2, 4, 5, 11, 12, 14, 15, 19], "releas": [0, 3, 4, 7, 9, 10, 11, 12, 18, 19], "good": [0, 3, 4, 6, 9, 10, 11, 12, 14, 15, 18], "coverag": [0, 4, 10, 15], "question": [0, 9, 12, 15], "seealso": 0, "highli": [0, 9, 11, 15], "relat": [0, 9, 12, 15, 17], "part": [0, 2, 3, 4, 10, 11, 12, 14, 18], "interest": [0, 9], "them": [0, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 17, 18], "discov": 0, "ones": [0, 3, 7, 9, 11, 12], "ref": [0, 7, 19], "sage_manuals_link": 0, "meth": [0, 16], "somewher": 0, "other_useful_method": 0, "mod": [0, 3, 16], "hyperlink": [0, 10, 15], "detail": [0, 2, 3, 4, 6, 7, 9, 10, 11, 12, 14, 16, 17, 18, 19], "pari": [0, 10, 11, 12, 15], "bibliograph": 0, "adapt": [0, 14], "page": [0, 1, 8, 9, 10, 14, 16, 19], "89": [0, 4, 7], "nat2000": 0, "_": [0, 16], "let": [0, 2, 4, 5, 7, 9, 11, 12, 14, 20], "odd": 0, "posit": [0, 9, 12, 14, 15, 19], "modulo": [0, 2, 17], "k": [0, 4, 14], "onli": [0, 2, 3, 5, 7, 9, 11, 14, 15, 16, 17, 18], "gcd": 0, "sinc": [0, 2, 3, 4, 5, 7, 11, 19], "even": [0, 1, 2, 3, 4, 5, 11, 12, 14], "between": [0, 1, 2, 3, 4, 7, 11, 16, 18], "inclus": [0, 3, 10, 15, 19], "rel": [0, 3, 4, 6, 12], "now": [0, 1, 2, 4, 5, 6, 7, 8, 10, 11, 12, 14, 15, 16, 18, 19, 20], "narrow": [0, 12], "our": [0, 2, 3, 4, 5, 9, 10, 11, 12, 15, 17, 18, 19], "go": [0, 3, 5, 6, 9, 10, 11, 12, 14, 15, 17, 18, 19, 20], "doc": [0, 3, 4, 7, 9, 11, 14, 16, 17], "en": [0, 4, 11, 14, 16, 17], "index": [0, 2, 10, 16, 17, 18], "rst": [0, 4, 12, 16, 17], "m": [0, 2, 5, 7, 11, 14], "nathanson": 0, "elementari": [0, 2], "theori": 0, "springer": 0, "2000": 0, "tip": [0, 8, 10], "trick": [0, 1], "least": [0, 4, 11, 12, 17], "never": [0, 4, 5, 7, 10, 11], "charact": [0, 2, 11, 14], "warn": [0, 3, 4, 9, 11, 14, 16, 17], "critic": [0, 9, 11, 15], "situat": [0, 3, 4, 10], "break": [0, 10, 11], "awar": [0, 15, 17], "whenev": [0, 1, 3, 4, 9, 11, 12, 18], "sure": [0, 4, 9, 11, 14, 18], "That": [0, 2, 5, 15, 18], "ensur": [0, 1, 3, 4, 7, 11, 12, 14, 15, 18], "pdf": [0, 11, 15, 16, 17], "updat": [0, 3, 6, 9, 12, 14, 16, 18, 19], "fail": [0, 1, 3, 4, 7, 9, 11, 14, 17, 18], "would": [0, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 17, 19], "request": [0, 3, 4, 6, 10, 15, 19], "chang": [0, 1, 2, 3, 5, 6, 9, 10, 11, 12, 14, 15, 16, 17, 18, 20], "todo": [0, 14], "futur": [0, 3, 5, 9, 11], "disabl": [0, 4, 9, 11, 18], "demonstr": [0, 2, 4], "desir": [0, 12], "have_fresh_b": 0, "faster": [0, 1, 2, 12, 18], "bui": 0, "fridg": 0, "babf": 0, "bi\u00e8r": 0, "de": [0, 7, 16, 17], "l": [0, 2, 3, 4, 12, 14, 17], "yvett": 0, "enjoi": 0, "plot": [0, 4, 12], "illustr": [0, 2, 3, 9, 15], "pictur": 0, "sphinx_plot": 0, "petersengraph": 0, "book": [0, 6, 8], "paper": 0, "put": [0, 1, 2, 3, 9, 11, 14], "citat": 0, "reader": 0, "syntax": [0, 2, 3, 4, 10, 11], "individu": [0, 4, 11], "therefor": [0, 3, 12, 14], "necessari": [0, 1, 3, 4, 5, 7, 11, 12, 14, 18], "nevertheless": 0, "relev": [0, 3, 4, 9], "particularli": [0, 4], "long": [0, 2, 3, 5, 7, 9, 10, 11, 14, 15, 17, 18], "alreadi": [0, 2, 3, 5, 7, 9, 11, 12, 14, 15, 17, 18], "present": [0, 2, 11, 12, 18], "str1969": 0, "sto2000": 0, "voe2003": 0, "trail": [0, 3, 17], "github": [0, 3, 5, 6, 8, 11, 12, 15, 16, 17, 18, 20], "issu": [0, 3, 4, 7, 10, 11, 12, 14, 15, 16, 17, 20], "pr": [0, 3, 10, 11, 12, 17], "wikipedia": [0, 16], "shown": [0, 1, 3, 4, 7, 12, 14, 19], "ask": [0, 9, 14, 15], "foo": [0, 3, 9, 11], "strip": 0, "sagedoc": 0, "skip_tests_block": 0, "corner": [0, 15], "zero": [0, 3, 11, 14], "element": [0, 2, 3], "group": [0, 2, 9, 11], "valid": [0, 1, 9, 11, 17], "up": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 17, 18], "down": [0, 3, 4, 14, 15], "check": [0, 1, 2, 4, 5, 10, 11, 14, 15, 17], "junk": 0, "purpos": [0, 2, 3, 4, 9, 10, 11, 12, 14, 15, 17], "remov": [0, 3, 4, 5, 11, 12, 14, 17], "two": [0, 2, 3, 4, 5, 7, 11, 12, 14, 15, 16, 17], "colon": 0, "its": [0, 1, 3, 4, 5, 7, 9, 10, 11, 12, 14, 16, 18], "own": [0, 4, 6, 7, 9, 10, 11, 12, 14, 18], "match": [0, 4, 12], "header": [0, 11], "hyphen": [0, 14], "equal": [0, 3, 6, 17], "marker": [0, 7], "doubl": [0, 3], "sometim": [0, 1, 2, 4, 5, 7, 11, 12], "rare": [0, 11, 18, 19], "ha": [0, 1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17], "protect": [0, 7], "don": [0, 1, 3, 4, 5, 7, 9, 11, 14, 15, 18, 19], "t": [0, 1, 2, 3, 4, 5, 7, 9, 11, 14, 15, 17, 18, 19], "proper": 0, "tradit": 0, "pytest": [0, 10], "latter": [0, 11, 14], "main": [0, 4, 11, 12, 14, 17], "math": [0, 3, 4], "rubric": 0, "topic": [0, 10, 11], "written": [0, 3, 11, 15, 16, 17, 19], "exactli": [0, 2, 5, 11, 12, 15], "abov": [0, 2, 3, 4, 6, 7, 9, 10, 11, 12, 14, 15, 17], "frequent": [0, 5], "moduleauthor": 0, "automethod": 0, "autofunct": 0, "figur": [0, 1, 2, 3], "shall": 0, "restructuredtext": [0, 16, 17], "process": [0, 2, 3, 4, 9, 10, 11, 14, 17, 18], "introduct": [0, 6, 14, 19], "impos": [0, 12], "shorter": [0, 2], "80": [0, 4, 7, 15], "doubt": [0, 7], "pep8": [0, 17], "maximum": [0, 4], "length": 0, "fragment": 0, "quot": 0, "backtick": 0, "liter": [0, 3], "true": [0, 1, 3, 4, 6, 11, 12, 17], "fals": [0, 1, 2, 3, 5, 12, 17], "none": [0, 2, 3, 11, 12, 17], "store": [0, 2, 4, 5, 7, 9, 14, 16, 18], "gau1801": 0, "f": [0, 1, 2, 4, 5, 11, 14, 20], "gauss": 0, "disquisition": 0, "arithmetica": 0, "1801": 0, "rsa1978": 0, "rivest": 0, "shamir": 0, "adleman": 0, "obtain": [0, 3, 10, 14], "digit": [0, 5, 7, 16], "signatur": 0, "cryptosystem": [0, 4], "commun": [0, 2, 3, 7, 10, 18], "acm": 0, "21": [0, 4, 5, 13, 14], "februari": [0, 10], "1978": 0, "120": 0, "126": [0, 12], "doi": [0, 16], "10": [0, 1, 2, 3, 4, 11, 12, 13, 14, 15, 16, 17], "1145": 0, "359340": 0, "359342": 0, "given": [0, 2, 3, 4, 11, 12, 14, 15, 17], "could": [0, 1, 2, 3, 4, 10, 12, 14, 15], "first": [0, 1, 2, 3, 5, 7, 9, 11, 12, 14, 15, 17, 18, 19, 20], "singl": [0, 1, 3, 4, 9, 11, 12, 16], "three": [0, 5, 7, 17], "famili": [0, 2], "multipl": [0, 4, 7, 9, 10, 11, 17, 18], "four": [0, 4], "last": [0, 2, 3, 4, 5, 11, 14, 15, 18, 19], "1910": 0, "2010": 0, "abbrevi": [0, 4, 5], "backslash": 0, "front": [0, 4], "interpret": [0, 1, 2], "enumer": [0, 7, 9, 19], "y": [0, 2, 3, 4, 7, 14], "5": [0, 1, 2, 3, 4, 5, 8, 9, 11, 12, 13, 14, 17], "begin": [0, 1, 3, 4, 10, 11, 14, 15, 18], "modulispac": 0, "xxx": 0, "6": [0, 1, 2, 4, 11, 12, 14, 19], "error": [0, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 17, 18], "7": [0, 2, 3, 4, 7, 11, 12, 13, 14, 17, 19], "traceback": [0, 3, 4], "recent": [0, 3, 4, 5, 7, 8, 9, 11, 14], "typeerror": [0, 2, 3, 4], "unabl": [0, 4, 14], "convert": [0, 2, 4, 6, 12], "bcdt2001": 0, "determin": [0, 2, 4, 11, 12, 14, 15], "ellipt": [0, 11], "curv": [0, 2, 4, 11, 14], "over": [0, 1, 2, 3, 10, 11, 17], "q": [0, 4], "modular": [0, 3, 4, 17], "func": [0, 16], "42": [0, 4, 14, 17], "bodi": [0, 9, 19], "breuil": 0, "conrad": 0, "diamond": 0, "taylor": 0, "strongli": [0, 8, 11], "liber": 0, "explanatori": [0, 18], "next": [0, 2, 3, 4, 9, 12, 14, 15, 17, 18, 19], "crucial": [0, 14], "qualiti": [0, 11, 14, 15, 18], "without": [0, 1, 2, 3, 4, 5, 7, 9, 11, 12, 14, 15, 16, 17, 18, 20], "small": [0, 3, 12, 14, 15], "someth": [0, 3, 4, 7, 9, 10, 11, 12, 15], "els": [0, 2, 3, 4, 7, 9, 11, 15, 18, 19], "seen": 0, "until": [0, 2, 3, 4, 7, 9, 18], "much": [0, 1, 2, 3, 4, 7, 9, 11, 12, 18], "someon": [0, 7, 9, 11, 15, 19], "unaccept": [0, 2], "develop": [0, 1, 2, 3, 4, 5, 6, 9, 11, 12, 15, 16, 20], "suggest": [0, 3, 4, 7, 11, 15], "manual": [0, 2, 3, 4, 10, 11, 12, 15, 17, 18, 19], "reason": [0, 2, 3, 4, 9, 10, 11, 12], "did": [0, 5, 7, 11, 14, 15, 19], "reach": [0, 11, 18], "agreement": [0, 9], "offici": [0, 17], "second": [0, 1, 3, 4, 5, 7, 14, 17], "tight": [0, 2, 12], "third": [0, 2, 3, 5, 7, 10, 18], "opinion": 0, "realiti": 0, "codebas": [0, 17], "decid": [0, 7, 9, 12, 15], "vote": 0, "prevent": [0, 3, 6, 9, 11, 15], "disput": 0, "conflict": [0, 5, 10, 15, 18, 19], "acknowledg": 0, "respect": [0, 3, 11, 12, 14, 15, 16], "choic": [0, 3, 14, 17], "whose": [0, 2, 9, 11, 14], "consid": [0, 3, 4, 5, 7, 9, 11, 12, 14, 15], "sageobject": [0, 3], "_f": 0, "hidden": 0, "due": [0, 9], "statu": [0, 4, 5, 6, 10, 11, 14, 15, 18, 19], "construct": [0, 2, 12, 16, 17], "sageinspect": 0, "sage_getdoc": 0, "allow": [0, 1, 2, 3, 4, 5, 9, 12, 14, 15, 18], "yield": 0, "instead": [0, 3, 4, 5, 7, 9, 11, 12, 14, 16, 17, 18, 19], "co": [0, 6], "sin": 0, "sum_": 0, "infti": 0, "a_1": 0, "a_2": 0, "cdot": 0, "a_i": 0, "leq": 0, "align": [0, 4], "environ": [0, 6, 10, 11, 14, 17, 20], "everyth": [0, 2, 3, 5, 7, 11, 12, 14, 15, 18], "translat": [0, 1, 2, 10, 16], "wrap": [0, 2], "turn": [0, 4, 5, 7, 15], "nowrap": 0, "flag": [0, 2, 4, 9, 11, 16, 17], "mode": [0, 3, 4, 5, 11, 18], "readabl": [0, 2, 11], "balanc": 0, "interact": [0, 2, 3, 4, 9, 10, 12, 14], "consol": [0, 2], "formula": [0, 7, 14], "frac": [0, 3], "pleasant": 0, "everybodi": [0, 10], "manag": [0, 6, 8, 9, 11, 12, 14, 15], "common": [0, 2, 4, 6, 7, 10, 11, 12, 17, 19], "bold": [0, 6], "z": [0, 3, 4, 7], "field": [0, 2, 3, 4, 11, 12], "macro": [0, 2, 3, 11, 12], "give": [0, 3, 4, 5, 6, 9, 10, 11, 12, 14, 15, 16, 17], "preserv": [0, 4], "rr": [0, 2], "cc": 0, "qq": [0, 2, 3, 17], "gf": [0, 2, 4], "zmod": 0, "latex_macro": 0, "usag": [0, 4, 17, 18], "avoid": [0, 2, 3, 5, 9, 11, 12, 14, 15, 16, 17, 18], "bug": [0, 4, 6, 10, 11, 15], "pass": [0, 4, 11, 14, 15, 16, 17], "your_fil": 0, "messag": [0, 3, 4, 5, 6, 7, 9, 11, 14, 16, 18], "instruct": [0, 7, 11, 14, 18, 20], "lost": [0, 4, 5], "occas": 0, "famou": 0, "theorem": 0, "is_prim": 0, "proof": 0, "meaning": [0, 11, 12], "combin": [0, 4, 11, 14, 18], "involv": [0, 2, 3, 7, 9, 10, 15], "abl": [0, 3, 6, 7, 11, 15], "handl": [0, 2, 3, 10], "null": 0, "broken": [0, 15, 16], "probabl": [0, 2, 12, 18, 19], "size": [0, 2, 11, 14, 17], "random": [0, 2, 3, 7], "testsuit": [0, 4, 12, 14], "specif": [0, 3, 4, 9, 11, 12, 14, 15, 16, 17, 18], "sage_unittest": 0, "aa": 0, "algebra": [0, 2, 3, 9, 12], "steenrod": 0, "steenrod_algebra": [0, 3], "milnor": 0, "basi": [0, 2, 3], "henc": [0, 3, 5, 7, 12, 14, 15, 16, 18], "within": [0, 1, 3, 10, 12, 14], "variabl": [0, 1, 2, 3, 4, 5, 6, 11, 12, 14, 20], "keep": [0, 3, 4, 5, 7, 11, 12, 14, 17, 20], "remain": [0, 15], "practic": [0, 4, 10, 11], "data": [0, 1, 2, 3, 6, 11, 17], "flow": 0, "easier": [0, 1, 9, 11], "understand": [0, 3, 15], "human": [0, 5, 7], "analysi": [0, 17], "precis": [0, 3, 9], "unrel": [0, 15], "prepars": [0, 4, 10, 12], "3333333333333333": 0, "occur": [0, 4, 15, 18, 19], "shell": [0, 2, 5, 7, 11, 14, 18], "temporari": [0, 11], "tmp_filenam": 0, "get": [0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 11, 14, 15, 20], "filenam": [0, 4, 11, 14], "tmp_dir": 0, "graphic": 0, "ymin": 0, "save": [0, 1, 4, 5, 6, 7, 14, 17, 18, 20], "png": [0, 17], "multilin": 0, "span": 0, "continu": [0, 4, 5, 11, 14, 17, 18, 19], "srang": 0, "print": [0, 2, 4, 9, 10, 11, 14], "respons": [0, 11], "furo": 0, "theme": 0, "browser": [0, 9, 16], "window": [0, 4, 8, 14], "expand": 0, "width": 0, "wide": [0, 4, 11, 14], "desktop": [0, 14, 19, 20], "screen": 0, "box": [0, 14], "grow": 0, "arbitrarili": [0, 12], "best": [0, 2, 3, 4, 9, 10, 11, 15], "scroll": [0, 14], "horizont": 0, "back": [0, 2, 5, 10, 11, 14, 15, 18, 19], "forth": 0, "try": [0, 1, 2, 3, 7, 9, 11, 12, 14, 18], "around": [0, 5, 10, 12, 15, 16, 17], "column": [0, 2], "88": [0, 4, 7], "exce": 0, "95": [0, 2, 11, 12], "left": [0, 2, 3, 7, 14], "margin": 0, "matter": [0, 2, 3, 5, 10, 11, 12, 14], "deep": [0, 10], "nest": [0, 12], "becaus": [0, 2, 3, 4, 5, 7, 11, 12, 14, 15, 16, 17, 18], "parenthes": [0, 4], "len": [0, 2, 4], "permut": [0, 2], "d": [0, 2, 4, 5, 6, 7, 11, 14], "cannot": [0, 3, 5, 11, 12, 14, 15], "reformat": 0, "fit": [0, 3, 16, 18], "symbol": [0, 3, 12, 14, 16], "matric": [0, 2, 3], "smaller": [0, 11, 12, 14], "statement": [0, 2, 12], "typic": [0, 1, 3, 4, 9, 11, 14, 17], "session": [0, 3, 4], "multi_polynomial_r": 0, "mpolynomialring_polydict": 0, "mpolynomialring_polydict_domain": 0, "maxim": [0, 4, 13, 14], "But": [0, 5, 12], "scheme": [0, 4, 12], "algebraic_schem": 0, "algebraicscheme_quasi": 0, "projectivespac": [0, 4], "subschem": 0, "quasi": 0, "project": [0, 1, 3, 6, 9, 11, 12, 14, 15, 17, 18], "dimens": [0, 2], "_repr_": [0, 3], "nand": 0, "b47": 0, "ribbongraph": 0, "bipartit": 0, "ribbon": 0, "genu": [0, 2], "9": [0, 2, 3, 4, 7, 11, 12, 13, 14, 17], "boundari": 0, "sigma": 0, "8": [0, 1, 2, 4, 11, 12, 13, 14, 17], "11": [0, 2, 3, 4, 7, 9, 12, 13, 14], "12": [0, 1, 2, 4, 7, 11, 19], "13": [0, 2, 4, 11, 14, 19], "14": [0, 2, 4, 11, 14], "15": [0, 4, 12, 13, 14], "16": [0, 1, 3, 4, 12, 14], "17": [0, 4, 14, 17], "18": [0, 2, 4, 11], "19": [0, 4, 11, 14], "20": [0, 4, 5, 11, 13, 14, 15], "22": [0, 4, 7, 9, 14], "23": [0, 4, 11, 14], "24": [0, 4, 12, 14], "25": [0, 4, 14, 17, 19], "26": [0, 4, 14], "27": [0, 4, 14], "28": [0, 4, 14], "29": [0, 3, 4, 12, 14], "30": [0, 4, 9, 13, 14], "31": [0, 4, 13, 14], "32": [0, 1, 2, 4, 7, 9, 11, 13, 14], "33": [0, 4, 5, 13, 14], "34": [0, 4, 13, 14], "35": [0, 4, 6, 13, 14], "36": [0, 4, 13, 14], "37": [0, 4, 12, 13, 14], "38": [0, 4, 7, 11, 13, 14], "39": [0, 4, 13, 14], "40": [0, 4, 5, 7], "41": [0, 4, 14], "43": [0, 4], "44": 0, "45": [0, 4, 6, 14], "46": [0, 4, 6, 14], "47": 0, "48": [0, 4, 6, 14], "49": [0, 4], "50": [0, 19], "51": [0, 17], "52": [0, 4, 9, 12, 17], "53": [0, 4], "54": [0, 4], "55": [0, 4], "56": [0, 4, 7], "tag": [0, 12, 14, 15, 16, 18], "clean": [0, 5, 6, 14, 17], "visual": [0, 6, 14, 16, 17, 18], "clutter": 0, "moreov": 0, "visibl": [0, 3, 18], "strike": 0, "thoughtfulli": 0, "chosen": 0, "depend": [0, 2, 3, 4, 5, 7, 8, 9, 10, 14, 15, 17, 18, 20], "cours": [0, 3, 8, 9, 10, 12, 14, 18], "dens": 0, "sculpt": 0, "out": [0, 1, 2, 3, 4, 5, 10, 11, 12, 14, 15, 17], "annot": [0, 3, 14], "pynormaliz": 0, "condit": [0, 10, 12], "presenc": [0, 12], "hand": [0, 7, 11, 14, 17, 18], "fixer": [0, 10], "stop": [0, 4, 5, 14], "64": [0, 1, 4, 9, 17], "split": [0, 4, 12, 14], "123456789123456789123456789": 0, "behaviour": [0, 3, 4, 9], "overli": 0, "shorten": [0, 4, 6], "ellipsi": 0, "ordinal_str": 0, "0th": 0, "1st": 0, "2nd": 0, "3rd": 0, "4th": 0, "5th": 0, "21st": 0, "22nd": 0, "23rd": 0, "24th": 0, "On": [0, 4, 9, 11, 14, 16, 17, 18], "comment": [0, 4, 5, 10, 11, 12, 14, 15, 17, 19], "verifi": [0, 14, 17, 18], "comprehens": [0, 16], "execut": [0, 2, 4, 5, 11, 12, 17], "combinatorialobject": 0, "hash": [0, 3, 5, 7], "1335416675971793195": 0, "too": [0, 3, 4, 5, 9, 11, 12, 17], "state": [0, 3, 5, 7, 9, 14, 15, 18], "pseudorandom": 0, "prng": 0, "problem": [0, 1, 3, 4, 7, 9, 11, 14, 15], "successfulli": [0, 2, 5, 14], "dict": [0, 3], "One": [0, 2, 3, 7, 11, 15], "basic": [0, 1, 2, 5, 8, 9, 10, 12], "properti": [0, 3], "random_el": 0, "parent": [0, 3, 5, 7, 11, 12], "_random_nonzero_el": 0, "loop": [0, 2, 3, 7, 12], "found": [0, 3, 9, 11, 16, 17, 18], "correct": [0, 2, 4, 7, 11, 15], "termin": [0, 4, 9, 14, 18], "nonzero": 0, "timout": 0, "time": [0, 1, 2, 3, 4, 7, 9, 10, 11, 14, 15, 17, 18, 19, 20], "take": [0, 2, 3, 4, 5, 12, 14, 15, 17, 18, 20], "ellipticcurv": [0, 4], "regul": 0, "0511114082399688": 0, "tol": [0, 3], "toler": 0, "numer": [0, 2, 3, 17], "subject": [0, 2, 3, 9, 11, 14, 15], "nois": 0, "float": [0, 3], "arithmet": [0, 3, 9], "determinist": 0, "prefix": [0, 9, 11, 12, 14], "ab": 0, "olut": 0, "ativ": 0, "specifi": [0, 4, 5, 12, 16, 17, 19], "measur": [0, 9, 15, 17], "absolut": [0, 3, 16], "articl": [0, 16], "approximation_error": 0, "pi": [0, 3], "1e": [0, 3], "14159265358979": 0, "41593": 0, "zeta8": 0, "cyclotomicfield": 0, "7071067812": 0, "represent": [0, 2, 10], "sum": [0, 3, 12], "001": 0, "ident": [0, 5, 7, 12, 14], "random_matrix": 0, "comput": [0, 2, 3, 4, 5, 7, 11, 14, 15, 18, 20], "regular": [0, 14, 17], "float_regex": 0, "pars": [0, 2, 4], "meant": [0, 3, 15], "eventu": [0, 3], "current": [0, 4, 5, 6, 7, 9, 10, 11, 12, 14, 16, 17, 18], "skip": [0, 3, 11, 14, 17], "nodoctest": 0, "whole": [0, 10, 12, 15, 16, 17], "neither": [0, 3, 4, 14], "appli": [0, 2, 3, 4, 9, 11, 15], "those": [0, 3, 4, 7, 11], "sloane_databas": 0, "sloaneencyclopedia": 0, "60843": 0, "internet": [0, 4, 5], "connect": [0, 9, 12, 14, 18], "oei": [0, 16], "a060843": 0, "busi": 0, "beaver": 0, "step": [0, 2, 6, 7, 9, 11, 14, 17], "ture": 0, "machin": [0, 3, 4, 5, 6, 11, 14], "tape": 0, "halt": 0, "although": [0, 3, 6], "enabl": [0, 4, 11, 12, 14, 16], "calcul": [0, 2, 19], "sqrt": [0, 3], "number_field": [0, 4, 12], "146264369941973": 0, "punctuat": 0, "comma": 0, "semicolon": 0, "chomp": 0, "simpli": [0, 3, 5, 9, 11, 14, 16], "insensit": 0, "scope": [0, 1, 3, 4, 14], "encount": [0, 4], "entir": [0, 4, 5, 12, 17], "wa": [0, 1, 3, 4, 5, 9, 10, 11, 14, 15, 18, 19], "displai": [0, 3, 7, 11, 17, 18], "met": 0, "indirect": 0, "report": [0, 4, 10, 15, 16, 17], "__repr__": [0, 3], "__add__": 0, "intern": [0, 11], "anywher": 0, "bit": [0, 9, 11], "8193": 0, "2147491840": 0, "per": [0, 11, 12, 14, 15], "physic": 0, "77": [0, 11], "grep": [0, 12, 14, 17], "easili": [0, 3, 7, 9, 15], "aforement": 0, "further": [0, 4, 8, 9, 14, 15, 17, 18, 19], "claim": [0, 4, 15], "subsect": 0, "tutori": [0, 10, 16], "remark": 0, "base": [0, 1, 3, 5, 9, 10, 12, 18, 19, 20], "addit": [0, 2, 4, 6, 7, 9, 11, 14, 15, 17, 18], "parallel": [0, 10, 17], "timeout": 0, "recogn": 0, "well": [0, 2, 3, 4, 6, 9, 11, 14, 17], "enter": [0, 7, 9, 14], "thu": [0, 1, 2, 3, 4, 5, 12, 14, 15, 16], "verbatim": 0, "Of": [0, 8, 9, 12], "linkal": 0, "clariti": 0, "were": [0, 5, 9, 11, 14, 15, 18], "previou": [0, 2, 3, 5, 11, 14, 16], "syntact": 0, "mean": [0, 2, 3, 5, 7, 9, 11, 12, 14, 17], "configur": [0, 3, 4, 7, 10, 11, 12, 14, 17, 18, 20], "emac": [0, 6], "dir": [0, 17], "el": 0, "emacswiki": 0, "deletingwhitespac": 0, "variou": [0, 2, 3, 4, 9, 10, 12, 14, 17, 20], "solut": [0, 2, 7, 11, 12, 15], "id": [0, 4, 10, 14], "globalopt": 0, "decis": [0, 15], "life": 0, "ascii": [0, 6], "identifi": [0, 12, 14, 15, 16], "\u00e4": 0, "\u00f6": 0, "ae": 0, "oe": 0, "moebius_funct": 0, "m\u00f6biu": 0, "\u00e1": 0, "lovasz_numb": 0, "lov\u00e1sz": 0, "choos": [0, 3, 4, 9, 14, 19], "select": [0, 4, 9, 14, 17], "sensibl": 0, "certif": [0, 14], "boolean": 0, "kind": [0, 1, 11, 12], "With": [0, 3, 4, 17], "pair": [0, 7, 15, 20], "proven": 0, "probabilist": 0, "reli": [0, 11, 12], "prove": 0, "hypothesi": 0, "rh": 0, "paramet": [0, 2], "otherwis": [0, 4, 5, 7, 9, 11, 14, 19], "coerc": [0, 3], "suitabl": [0, 4, 7, 12, 14], "inplac": 0, "compil": [1, 3, 4, 5, 11, 12, 14, 18], "languag": [1, 2, 10, 16], "python": [1, 2, 4, 7, 10, 12, 14, 15, 16, 17, 18], "The": [1, 5, 6, 7, 8, 10, 12, 14, 17, 19, 20], "advantag": [1, 5], "order": [1, 2, 5, 7, 9, 11, 14, 16, 18], "magnitud": 1, "directli": [1, 5, 6, 7, 11, 15], "essenti": [1, 15], "superset": [1, 14], "doesn": [1, 11, 18], "distinct": [1, 3], "talk": 1, "librari": [1, 3, 10, 11, 14, 15, 17, 18], "convent": [1, 10, 12, 15, 17], "declar": [1, 3, 11, 12, 15], "debug": [1, 11, 15], "slow": [1, 2, 4, 5, 12], "effici": [1, 2, 3, 4], "offer": [1, 11, 14], "familiar": [1, 2, 10], "potenti": [1, 7], "greater": [1, 3], "speed": [1, 2, 11, 15, 17], "api": [1, 6], "origin": [1, 5, 6, 7, 9, 11, 14, 18, 19, 20], "pyrex": 1, "": [1, 2, 3, 5, 6, 7, 8, 9, 10, 11, 12, 15, 16, 17, 18, 19, 20], "concert": 1, "independ": [1, 5, 11], "beyond": [1, 5, 10], "young": 1, "document": [1, 2, 3, 4, 9, 11, 14, 15, 17, 18], "web": [1, 9, 16, 19], "notebook": [1, 3, 4], "cell": 1, "evalu": [1, 2, 3, 17], "run": [1, 2, 3, 5, 8, 9, 10, 11, 12, 14, 15, 16, 17, 18, 19, 20], "dll": 1, "dylib": 1, "function": [1, 2, 4, 7, 10, 12, 15, 16, 17, 20], "cpdef": 1, "testfunct": 1, "__main__": [1, 4], "complet": [1, 3, 4, 7, 9, 11, 14, 15, 19], "pyx": [1, 2, 3, 4], "rebuild": [1, 9, 10, 11, 14, 15, 16], "easiest": 1, "learn": [1, 6, 10, 14, 15], "about": [1, 2, 3, 4, 6, 9, 10, 11, 14, 15, 17, 18, 19], "distutil": 1, "stand": [1, 11], "power2": 1, "is2pow": 1, "note": [1, 2, 3, 4, 5, 6, 7, 10, 11, 12, 14, 16, 17, 18, 19], "again": [1, 3, 5, 6, 7, 9, 12, 14, 18], "recompil": [1, 18], "fly": 1, "reload": 1, "test": [1, 3, 5, 6, 9, 15, 16, 18], "ghz": 1, "opteron": 1, "128": [1, 4, 14], "256": 1, "512": [1, 14], "1024": 1, "2048": [1, 7], "4096": 1, "8192": [1, 17], "16384": 1, "32768": 1, "65536": 1, "cpu": [1, 4, 9, 17], "60": [1, 17], "sy": [1, 14], "00": [1, 4, 7], "total": [1, 2, 4, 7, 9, 11, 14, 19], "wall": [1, 4], "copi": [1, 3, 4, 5, 7, 9, 10, 11, 14, 16, 18], "powerslow": 1, "py": [1, 2, 3, 4, 5, 7, 10, 11, 12, 16, 18], "04": [1, 4], "05": [1, 4, 14], "By": [1, 4, 7, 9, 11, 12, 14, 17, 18], "gain": 1, "littl": [1, 6, 15], "unsign": 1, "special": [1, 7, 10, 11, 12, 14, 16, 17], "care": [1, 4, 5, 12], "taken": [1, 11], "ctrl": [1, 3, 14], "cysign": 1, "pickl": 1, "__reduce__": 1, "arg": [1, 4, 14], "exampl": [1, 2, 3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 16, 17, 18], "snippet": [1, 4, 7], "cyfunct": 1, "make_integ": 1, "dump": [1, 2], "took": [1, 4], "me": 1, "hour": [1, 4, 14, 17], "pure": [1, 3, 11, 12], "happen": [1, 7, 12, 14, 18, 19], "str": [1, 2], "write": [2, 3, 7, 8, 9, 11, 12, 14, 15, 16, 18, 19], "code": [2, 4, 5, 6, 7, 9, 12, 17, 19, 20], "sage": [2, 6, 7, 15, 17, 19], "structur": [2, 3, 4, 10, 12], "conveni": [2, 4, 6, 12, 14, 18], "fortran": 2, "gp": [2, 14, 20], "sagecompon": 2, "And": [2, 5, 7], "okai": [2, 15], "option": [2, 9, 10, 11, 12, 15, 17], "octav": [2, 4], "magma": [2, 4], "mathematica": [2, 4], "mapl": [2, 4], "frobeniu": 2, "heavi": [2, 12], "lift": 2, "matfrobeniu": 2, "direct": [2, 4, 12, 16], "gen": [2, 4], "abstract": [2, 3, 12], "onc": [2, 4, 9, 10, 12, 14, 15, 18, 19], "receiv": [2, 4, 9, 14, 19], "parierror": 2, "lib": [2, 4, 11, 12, 14, 17], "cypari2": 2, "squar": [2, 4], "divisor": 2, "vector": [2, 10], "sig_on": 2, "new_gen": 2, "attribut": [2, 3, 10], "apart": 2, "close": [2, 3, 9, 10, 11, 14, 20], "sig_off": 2, "stack": 2, "gone": 2, "new_gen_noclear": 2, "nor": [2, 3, 14], "retriev": 2, "v": [2, 3, 4, 7, 9, 10, 17, 19, 20], "pleas": [2, 3, 9, 11, 15], "mathnf": 2, "frobenius_form": 2, "matrix_integ": 2, "associ": [2, 3, 5, 11], "saniti": [2, 14], "var": [2, 4, 11, 12, 14, 17], "ration": [2, 3], "canon": 2, "fb": 2, "string": [2, 3, 4, 10, 11], "matrixspac": 2, "is_squar": 2, "arithmeticerror": [2, 3, 4], "__pari__": 2, "matrix_spac": 2, "elif": 2, "base_r": 2, "retr": 2, "append": [2, 9, 11], "eval": [2, 4], "gens_dict": 2, "nrow": 2, "pexpect": 2, "pipe": 2, "hard": [2, 5, 7, 11, 12], "suppos": [2, 3, 4, 5, 19], "wrapper": [2, 11, 16], "cartan": 2, "simpl": [2, 7, 9], "lie": 2, "g_2": 2, "simpleliealgebra": 2, "rootsystem": 2, "root": [2, 11, 14], "cartanmatrix": 2, "directori": [2, 3, 4, 5, 6, 7, 10, 14, 16, 17, 18], "legal": 2, "cartan_matrix": 2, "chevallei": 2, "sm": 2, "altern": [2, 4, 5, 7, 9, 11, 12, 14, 15], "guava": 2, "finit": [2, 3, 12], "exercis": 2, "few": [2, 3, 4, 9, 11, 12, 15, 17, 19], "idea": [2, 4, 9, 12, 18], "freeliealgebra": 2, "gener": [2, 3, 4, 9, 10, 11, 12, 15, 16, 17, 18, 20], "freegroup": 2, "tabl": 2, "though": [2, 5, 11, 12, 15], "disadvantag": 2, "other": [2, 3, 4, 6, 7, 9, 10, 11, 14, 15, 16, 17, 18], "certain": [2, 3, 5, 11, 14], "unavoid": [2, 7], "latenc": 2, "10m": 2, "send": [2, 14], "lower": [2, 11], "furthermor": 2, "why": [2, 4, 11, 15], "kernel": [2, 12, 14], "analogu": 2, "function_factori": 2, "conceptu": 2, "terminologi": 2, "equat": 2, "degre": 2, "galoi": 2, "orbit": 2, "point": [2, 3, 4, 5, 9, 10, 11, 12, 14, 15, 17], "nsplace": 2, "closed_point": 2, "carri": [2, 4, 11], "greuel": 2, "pfister": 2, "schoenemann": 2, "mathematik": 2, "der": 2, "universitaet": 2, "67653": 2, "kaiserslautern": 2, "brnoeth": 2, "lp": 2, "poli": 2, "x1": 2, "adj_div": 2, "affin": 2, "infin": 2, "adjunct": 2, "x2": 2, "x3": 2, "extcurv": 2, "setr": 2, "global": [2, 3, 4, 6, 8, 10, 12, 14, 16, 18], "coeffici": [2, 3], "block": [2, 3, 4, 16, 17], "notic": [2, 3, 4, 12, 14], "coordin": 2, "manipul": 2, "points_pars": 2, "string_point": 2, "entri": [2, 3, 17], "pt": [2, 17], "l1": [2, 14], "idx": 2, "block1": 2, "idx2": 2, "l2": 2, "repeat": [2, 4, 9, 12, 17, 18], "block2": 2, "block3": 2, "ingredi": 2, "tripl": 2, "moment": 2, "ourselv": 2, "places_on_curv": 2, "docstr": [2, 3, 4, 11, 17], "mpolynomialr": 2, "simpler": 2, "set_r": 2, "compar": [2, 3, 12], "breviti": 2, "omit": [2, 3, 4, 11], "point_pars": 2, "notimplementederror": [2, 3], "nice": [2, 6, 9, 18], "wherea": 2, "barest": 2, "minimum": [2, 4, 11], "modif": [2, 3, 11, 18], "surprisingli": 2, "fast": [2, 3, 4, 10, 12, 17, 19], "flexibl": 2, "buffer": 2, "asynchron": 2, "deriv": [2, 3, 14, 19], "file": [2, 3, 5, 6, 7, 8, 9, 10, 12, 14, 15, 17, 18, 19], "open": [2, 3, 5, 10, 11, 14, 15, 16, 18, 19], "among": [2, 3, 9, 14], "thing": [2, 3, 4, 6, 7, 10, 12, 15, 16], "expectel": 2, "routin": 2, "come": [2, 6, 11, 12, 14, 17], "script_subdirectori": 2, "logfil": [2, 4], "server": [2, 7, 10, 14, 20], "server_tmpdir": 2, "silent": [2, 4, 14], "restart_on_ctrlc": 2, "verbose_start": 2, "eval_using_file_cutoff": 2, "100": [2, 3, 7, 9, 19], "cmd": [2, 17], "ncode": 2, "noctav": 2, "octave_consol": 2, "solve_linear_system": 2, "mxn": 2, "resp": 2, "solv": [2, 4, 7, 9, 15], "m33": 2, "v3": 2, "vectorspac": 2, "333333": 2, "666667": 2, "david": 2, "joyner": 2, "william": 2, "stein": 2, "ncol": 2, "valueerror": [2, 3], "sa": [2, 14], "sage2octave_matrix_str": 2, "sb": 2, "soln": [2, 4], "sol": 2, "excerpt": 2, "advic": [3, 5, 15], "regard": [3, 10, 11, 12], "python3": [3, 4, 7, 11, 13, 14], "oldest": 3, "introduc": [3, 7, 15], "newer": [3, 11, 14], "failur": [3, 12, 14], "doctest": [3, 5, 9, 10, 11, 14, 15, 16, 18], "backport": 3, "older": [3, 4, 12, 18], "mechan": [3, 12, 14], "__future__": 3, "modern": [3, 12], "accord": [3, 9, 11, 12], "563": 3, "postpon": 3, "importlib_metadata": 3, "importlib": 3, "importlib_resourc": 3, "typing_extens": 3, "meta": [3, 20], "29756": 3, "serv": [3, 11, 12], "plan": [3, 10, 17], "think": [3, 9, 15, 18], "orient": 3, "hierarchi": [3, 10, 11, 14], "organ": [3, 5, 7, 9, 12], "ringel": 3, "scratch": [3, 14, 18], "accordingli": [3, 10], "__xxx__": 3, "predefin": 3, "_xxx_": 3, "semi": 3, "privat": [3, 7, 20], "realli": [3, 4, 5, 6, 11, 18], "sage_object": 3, "myclass": 3, "myfavoritealgebra": 3, "_latex_": 3, "natur": [3, 5], "accur": [3, 9], "typeset": 3, "correctli": [3, 11, 14], "built": [3, 4, 9, 10, 11, 12, 16, 17, 18], "deal": [3, 7, 9, 12, 15], "forget": [3, 14, 18], "amsmath": 3, "amssymb": 3, "amsfont": 3, "commontex": 3, "tex": [3, 17], "templat": [3, 11, 19], "fake": 3, "denom": 3, "produc": [3, 4, 5, 9, 11], "view": [3, 9, 14], "renam": [3, 11], "context": [3, 9, 14], "constant": 3, "ratio": 3, "circl": 3, "circumfer": 3, "diamet": 3, "1415926535897931": 3, "_matrix_": 3, "generic_graph": 3, "genericgraph": 3, "am": [3, 14], "change_r": 3, "adjacency_matrix": 3, "spars": 3, "boundary_first": 3, "similarli": 3, "_vector_": 3, "free_module_el": 3, "cdef": [3, 16], "freemoduleel": 3, "element_vector": 3, "usabl": [3, 11, 12], "tweak": 3, "commandlin": 3, "technic": [3, 6, 10], "rewrit": [3, 7, 10, 12, 15], "notabl": 3, "_first_ngen": 3, "87": 3, "raw": 3, "denot": 3, "393939r": 3, "393939": 3, "gmp": [3, 15], "consult": 3, "load": [3, 4, 10, 11, 12, 17], "attach": [3, 10], "autogener": [3, 4], "repl": [3, 4, 12], "primari": 3, "transpar": 3, "comparison": [3, 11], "perform": [3, 4, 5, 9, 12, 14, 17], "operand": 3, "despit": 3, "obviou": 3, "facilit": [3, 14], "map": [3, 12], "domain": [3, 12], "strict": 3, "resolv": [3, 7, 9, 19], "ambigu": [3, 17], "nonsens": 3, "immut": 3, "uniqu": [3, 5, 11, 16], "label": [3, 9, 11, 15], "wast": 3, "memori": [3, 4, 11, 12, 14, 17], "weakref": 3, "becom": [3, 4, 11, 12, 14], "member": 3, "collect": [3, 20], "frozenset": 3, "advis": [3, 17], "mix": [3, 4, 17], "plai": [3, 12], "pack": [3, 7, 9, 19], "__eq__": 3, "hashabl": 3, "wrong": [3, 4, 7, 9, 18], "bucket": 3, "datamodel": 3, "phrase": [3, 9], "violat": [3, 17], "consequ": [3, 7], "fortun": [3, 7, 12], "pretti": [3, 6], "clearli": [3, 7, 15], "caus": [3, 4, 9, 15], "troubl": 3, "w": [3, 7], "keyerror": 3, "realfield": 3, "10000": 3, "rdf": 3, "unfortun": 3, "seriou": 3, "forc": [3, 4, 9, 11, 14], "fix": [3, 4, 5, 6, 7, 9, 10, 11, 12, 14, 15, 17, 19], "abandon": [3, 5], "unread": 3, "unwrit": 3, "live": 3, "attempt": [3, 4, 7, 11, 14], "satisfi": [3, 18, 19], "judgment": 3, "overboard": 3, "moduli": 3, "catch": 3, "some_cod": [3, 5], "bad": 3, "more_cod": 3, "typo": [3, 10, 15], "alarm": 3, "propag": 3, "summar": [3, 11], "__coordinate_r": 3, "attributeerror": 3, "otherexcept": 3, "msg": 3, "more_code_to_compute_someth": 3, "caught": 3, "aim": [3, 15], "monic": 3, "quotient": 3, "zerodivisionerror": 3, "divis": [3, 11], "invert": 3, "yet": [3, 5, 7, 9, 11, 12, 14, 15, 18], "runtimeerror": 3, "seem": [3, 9, 11, 12], "went": [3, 5, 9, 11], "explor": 3, "theoret": 3, "__len__": 3, "__int__": 3, "ineg": 3, "circular": 3, "parti": [3, 7, 10, 18], "viewpoint": [3, 12], "steenrod_algebra_bas": 3, "steenrodalgebra": 3, "importerror": [3, 4, 12], "polynomial_el": 3, "polynomial_generic_dens": 3, "__normal": 3, "ignor": [3, 11, 14, 15, 17, 18], "steenrod_algebra_basi": 3, "_basis_nam": 3, "matplotlib": [3, 11], "domin": 3, "control": [3, 4, 6, 7, 10, 11, 12, 14, 17, 18], "lazi": [3, 12], "actual": [3, 4, 8, 11, 12], "delai": [3, 15], "precomput": 3, "decor": 3, "cachefunc": 3, "cached_funct": 3, "big_data": 3, "initialize_big_data": 3, "increasingli": 3, "typecheck": 3, "pyright": [3, 10], "ci": [3, 6, 14], "minim": [3, 6, 9, 13, 14, 17, 18], "pull": [3, 6, 7, 10, 12, 14, 15, 17, 18, 19], "welcom": 3, "checker": [3, 17], "stub": 3, "pyi": 3, "tool": [3, 5, 6, 8, 9, 10, 11, 12, 18, 20], "hope": [3, 14], "soon": [3, 9, 12], "5744": 3, "impact": [3, 5, 18], "typestub": 3, "pxd": [3, 12], "suffici": [3, 15], "augment": 3, "pplpy": [3, 12], "ppl": [3, 12], "fallback": 3, "typesh": 3, "backward": 3, "incompat": [3, 11], "old": [3, 4, 5, 9, 14, 17], "stabl": [3, 11, 12, 14, 15, 17, 18], "666": 3, "rename_keyword": 3, "my_funct": 3, "my_old_keyword": 3, "my_new_keyword": 3, "deprecated_function_alia": 3, "supersed": [3, 12], "my_new_funct": 3, "my_old_funct": 3, "move": [3, 5, 7, 10, 11, 17], "name_of_the_funct": 3, "lazili": 3, "func1": [3, 16], "func2": 3, "explicit": [3, 4, 9, 16], "_lazy_import": 3, "some_funct": 3, "properli": [3, 9, 15], "brain": 3, "newli": 3, "stuff": 3, "earli": [3, 14], "worri": [3, 18], "delet": [3, 5, 7, 11, 12, 14, 18], "fulli": [3, 11, 20], "review": [3, 7, 9, 10, 11, 17, 19], "66666": 3, "experimental_funct": 3, "experimental_class": 3, "experimental_warn": 3, "foolproof": 3, "gracefulli": 3, "perhap": [3, 5, 15], "hint": [3, 12, 14], "optional_packag": 3, "thread": [4, 19], "jdemey": 4, "localhost": [4, 5, 6, 7, 8, 9, 11, 17, 18, 19], "pwd": [4, 14], "home": [4, 6, 7, 17], "autom": [4, 9, 10, 11, 14, 16, 20], "sudoku": 4, "game": 4, "cd": [4, 5, 9, 11, 12, 14, 18], "2012": 4, "07": [4, 11, 14], "d82849c6": 4, "103": [4, 14], "cumul": 4, "amount": 4, "surpris": 4, "approxim": 4, "02": [4, 11], "da6accbb": 4, "6cc4f29f": 4, "hexad": 4, "sudoku_backtrack": 4, "quantumino": 4, "95ebd2ff": 4, "recip": [4, 14], "tox": [4, 10, 11], "dot": [4, 11, 12, 16], "forward": [4, 19], "slash": 4, "precaut": 4, "against": [4, 11, 17], "aris": 4, "a3449f54": 4, "ac8ca007": 4, "515": 4, "backtrack": 4, "usr": [4, 11, 14], "ncadoctest": 4, "1231": 4, "run_one_test": 4, "run_one_exampl": 4, "compileflag": 4, "sagedoctest": 4, "origdoctestrunn": 4, "1172": 4, "glob": 4, "example_13": 4, "tmp": [4, 14, 17], "607": 4, "719": 4, "backtrack_al": 4, "had": [4, 7, 10, 12], "example_14": 4, "whitespac": [4, 10, 17], "doctest_sudoku": 4, "far": [4, 5], "hundr": 4, "thousand": 4, "hardwar": 4, "six": 4, "multi": [4, 11, 14], "core": [4, 6, 8, 12, 14], "significantli": 4, "devot": 4, "crypto": 4, "achiev": [4, 7, 15], "7f837dcf": 4, "boolean_funct": 4, "252": 4, "cipher": 4, "classic": 4, "718": 4, "classical_ciph": 4, "130": 4, "82": 4, "lfsr": 4, "stream": [4, 13, 14], "stream_ciph": 4, "114": [4, 14], "util": [4, 10, 12], "122": [4, 12], "block_ciph": 4, "minia": 4, "430": 4, "sde": 4, "290": 4, "mq": 4, "mpolynomialsystem": 4, "320": 4, "mpolynomialsystemgener": 4, "sbox": 4, "124": 4, "sr": [4, 12], "435": [4, 14], "public_kei": 4, "blum_goldwass": 4, "135": [4, 17], "c16721e6": 4, "437": 4, "111": [4, 12], "106": [4, 11], "108": 4, "five": 4, "test_consist": 4, "max_n": 4, "kwarg": 4, "encrypt": 4, "round": [4, 15], "ram": [4, 14], "2gb": 4, "2011": [4, 11], "tp": [4, 12, 16], "9b17765e": 4, "slower": [4, 15], "429": 4, "432": 4, "123": 4, "289": [4, 11], "113": [4, 14], "134": 4, "121": 4, "79": 4, "318": 4, "717": 4, "d71f3cd4": 4, "434": 4, "90": 4, "increas": [4, 11], "decreas": 4, "resid": 4, "ptestlong": [4, 15], "j12": 4, "multiprocess": 4, "cpu_count": 4, "jobserv": 4, "job": [4, 7, 14, 15, 17], "slot": 4, "clone": [4, 6, 9, 18], "testlong": 4, "ptest": [4, 14], "fr": [4, 16, 17], "final": [4, 5, 10, 11, 14, 15, 19], "fine": [4, 5, 9, 11], "my_python_script": 4, "mvngu": 4, "cat": [4, 11, 14], "all_cmdlin": 4, "d056f7c0": 4, "my_sage_script": 4, "content": [4, 5, 6, 7, 11, 16, 17, 18], "cube": 4, "06": 4, "82ee728c": 4, "_sage_const_3": 4, "2bb00911": 4, "wait": [4, 20], "run_doctest": 4, "combinat": [4, 12, 16, 17], "affine_permut": 4, "2018": 4, "89fe17b1": 4, "branch": [4, 6, 7, 9, 10, 11, 14, 15, 17], "sagemath_doc_html": [4, 11], "opt": [4, 14], "sage_st": 4, "338": 4, "ideal": [4, 5, 11], "my_long_test": 4, "off": [4, 5, 15], "capabl": [4, 17], "sooner": 4, "hurt": 4, "abil": 4, "normal": [4, 7, 12, 17, 20], "spent": [4, 11], "ro": 4, "40835825": 4, "d13a9a24": 4, "factorint": 4, "2c952ac1": 4, "125": 4, "base_expon": 4, "ran": [4, 15], "09": [4, 9, 11, 14, 17], "153": 4, "factor_aurifeuillian": 4, "fa": 4, "155": 4, "58": [4, 12, 14], "163": [4, 17], "c9164c9d": 4, "240": 4, "test_random_el": 4, "trial": 4, "1000": 4, "283": 4, "test_random_arith": 4, "seed": [4, 7], "kliem": 4, "random_se": 4, "2020": 4, "59": [4, 11], "49f37a55": 4, "112986622569797306072457879734474628454": 4, "randint": 4, "got": [4, 7, 11, 18], "reproduc": [4, 9, 14], "14a52269": 4, "sage_doctest_random_se": 4, "obvious": [4, 18], "succe": [4, 14], "equival": [4, 11, 16, 17], "real_mpfr": 4, "a368a200": 4, "819": 4, "a00a7319": 4, "823": 4, "a2bc1fdf": 4, "detect": [4, 11, 15, 16], "latex": [4, 10, 17], "2016": [4, 14], "af2ebb67": 4, "cplex": 4, "gurobi": 4, "macaulay2": 4, "matlab": 4, "scilab": 4, "regardless": 4, "8c097f55": 4, "865": 4, "re": [4, 5, 11, 14], "big": [4, 15], "speedup": [4, 15], "nthread": 4, "a3afdb8c": 4, "187": 4, "forker": 4, "322": [4, 11], "e26fce6d": 4, "304": 4, "69": [4, 14], "drop": [4, 14], "debugg": 4, "elliptic_curv": 4, "b6352629": 4, "site": 4, "573": 4, "_run": 4, "835": 4, "exec": [4, 5, 11, 17], "346": 4, "ell_rational_field": 4, "ellipticcurve_rational_field": 4, "216": 4, "ellipticcurve_number_field": 4, "ainv": 4, "ell_number_field": 4, "159": 4, "ellipticcurve_field": 4, "ell_gener": 4, "156": 4, "invari": 4, "pdb": 4, "151": [4, 11], "152": 4, "__ainv": 4, "154": 4, "discrimin": 4, "157": 4, "pp": 4, "projective_spac": 4, "xyz": 4, "158": [4, 12], "coordinate_r": 4, "a1": 4, "a2": 4, "a3": 4, "a4": 4, "a6": 4, "160": 4, "161": 4, "quit": [4, 5, 6, 9, 12, 14, 17], "segfault": 4, "hang": 4, "gdb": 4, "venv": [4, 11, 12, 14], "runtest": 4, "serial": 4, "stat": [4, 6], "timings2": 4, "json": [4, 14, 17], "pip": [4, 11, 12, 14, 17], "sage_spkg": [4, 14], "debian": [4, 8, 11, 13, 14], "2008": 4, "inc": 4, "gplv3": [4, 11], "gpl": 4, "NO": 4, "warranti": 4, "extent": [4, 14], "permit": 4, "law": 4, "x86_64": [4, 14], "linux": [4, 8, 9, 11, 14], "libthread_db": 4, "0x7f10f85566e0": 4, "lwp": 4, "6534": 4, "b1b735e7": 4, "67": 4, "exit": [4, 11, 14, 17], "valgrind": 4, "memcheck": 4, "massif": 4, "cachegrind": 4, "omega": 4, "wiki": 4, "valgrindingsag": 4, "whatev": [4, 16], "reveal": 4, "rerun": [4, 11, 14], "d8b5a408": 4, "behavior": [4, 9, 14], "cascad": 4, "nameerror": 4, "weren": 4, "finite_r": [4, 12], "integer_mod": 4, "8136f5e3": 4, "axiom": 4, "cunningham": 4, "frica": 4, "440": [4, 12], "intermitt": 4, "repeatedli": 4, "heisenbug": 4, "sandpil": 4, "e7048ad9": 4, "711": 4, "proceed": [4, 19], "8f954206": 4, "1422": 4, "averag": 4, "finish": [4, 5, 10, 12, 14, 18], "proce": [4, 9, 15], "minut": [4, 6, 14], "slowest": 4, "deb1ab83": 4, "2067": 4, "abspath": 4, "a023e212": 4, "133": 4, "commit": [4, 5, 6, 7, 10, 11, 15, 19], "645620ee": 4, "subtl": 4, "randord": 4, "127": 4, "97c8484e": 4, "test1": 4, "e7c0e52d": 4, "2df4251d": 4, "record": [4, 11, 18], "distinguish": 4, "prepar": [4, 9, 10, 11, 14, 15, 17], "success": [4, 12, 14, 17], "infrastructur": [4, 12], "sagepython": [4, 12], "sagewheel": [4, 12], "nopypi": [4, 12], "norequir": [4, 12], "wheel": [4, 11, 12], "mkoepp": [4, 14, 17], "p4": 4, "overwritten": 4, "categori": [4, 11, 12, 15], "all__sagemath_categori": 4, "assist": [4, 12], "fixdoctest": [4, 12], "overwrit": [4, 11, 14], "arith": 4, "weird": 4, "91": 4, "diff": [4, 6, 7, 11, 15, 18], "workflow": [4, 6, 9, 10, 11, 14, 20], "duplic": [4, 9, 11, 15, 16], "idempot": 4, "inspect": [4, 7, 9, 14, 18], "2680": 4, "comfort": 4, "redund": 4, "likewis": [4, 11, 14], "sirocco": 4, "q5": 4, "quadraticfield": 4, "transmogrifi": 4, "bliss": 4, "style": [4, 9, 10, 11, 15, 17], "restraint": 4, "intervent": [4, 7], "set_verbos": 4, "qqbar": 4, "tangent": 4, "147899035704788": 4, "426050482147607": 4, "3689894074818041": 4, "approach": [4, 5, 10], "dataflow": 4, "referenc": 4, "miss": [4, 14, 15, 17], "unnecessari": [4, 5, 11], "invok": [4, 11, 17], "probe": 4, "anywai": 4, "reus": [4, 7, 9, 14, 18, 19], "mostli": [4, 12, 16], "unattend": 4, "geometri": [4, 9, 12, 17], "impli": [4, 12], "unknown": 4, "modulenotfounderror": 4, "switch": [4, 5, 7, 11, 12, 14, 18, 19], "sequenc": [4, 16], "preset": 4, "cover": [5, 15], "walk": [5, 9, 10, 19], "snapshot": [5, 14, 18], "secretli": 5, "alic": [5, 6, 7, 8, 9, 11, 17, 18, 19], "checkout": [5, 6, 7, 11, 18, 19], "f9a0d54099d758ccec731a38929902b2b9d0b988": 5, "experiment": [5, 11, 14], "discard": [5, 18], "retain": 5, "Or": [5, 6, 9, 11], "undo": 5, "config": [5, 6, 7, 8, 9, 11, 14, 18], "detachedhead": 5, "f9a0d54099": 5, "matrix_integer_dense_hnf": 5, "download": [5, 7, 11, 14, 15, 18, 19], "repo": [5, 7, 9, 17, 18, 19], "fetch": [5, 7, 9, 14, 19], "com": [5, 6, 7, 8, 9, 14, 16, 17, 18, 19], "fetch_head": [5, 7], "noth": [5, 18], "perfectli": 5, "my_branch": [5, 7, 18], "ticket": [5, 14, 15, 17], "touch": 5, "beta": [5, 15], "partial": [5, 14], "ag": 5, "timestamp": [5, 18], "renew": 5, "bring": [5, 15], "onto": 5, "trigger": [5, 11, 14, 15, 18], "new_worktre": 5, "worktre": [5, 14, 17], "safe": [5, 7, 12], "rm": [5, 11], "Being": 5, "unpleas": 5, "pursu": 5, "truli": 5, "mess": 5, "feet": 5, "hexadecim": 5, "sha1": [5, 7], "revert": 5, "eafaedad5b0ae2013f8ae1091d2f1df58b72bae3": 5, "sat": 5, "jul": 5, "57": 5, "0400": 5, "eafa": 5, "uncommit": 5, "coupl": 5, "hex": [5, 7], "complain": 5, "th": [5, 7], "ultim": 5, "reflog": 5, "chronolog": [5, 18], "assum": [5, 7, 8, 9, 11, 14, 18], "shot": 5, "myself": 5, "my": [5, 6], "foot": 5, "2eca2a2": 5, "b4d86b9": 5, "af353bb": 5, "some_branch": 5, "master": [5, 6, 7, 18], "1142feb": 5, "other_branch": 5, "revis": [5, 6, 7, 10, 11, 14, 18], "rewind": 5, "erron": 5, "thoroughli": 5, "screw": 5, "push": [5, 6, 9, 10, 11, 14, 15, 17, 18, 19, 20], "simplic": 5, "ll": 5, "file_a": 5, "file_b": 5, "file_c": 5, "onelin": [5, 7], "9621dae": 5, "7873447": 5, "bf817a5": 5, "5b5588e": 5, "ought": 5, "second_branch": 5, "new_branch_nam": 5, "first_branch": 5, "cherri": 5, "pick": [5, 9, 11], "758522b": 5, "100644": [5, 18], "exclud": 5, "5844535": 5, "voila": 5, "children": 5, "instuct": 5, "reword": 5, "amend": 5, "squash": 5, "meld": [5, 7], "fixup": 5, "rest": [5, 9, 12, 16], "bottom": [5, 14], "THAT": 5, "WILL": 5, "BE": 5, "abort": 5, "materi": 6, "gitconfig": [6, 8], "adventur": [6, 8, 18], "wonderland": [6, 8, 18], "vim": 6, "alia": [6, 7], "color": 6, "wdiff": 6, "st": 6, "br": [6, 18], "enforc": 6, "lg": 6, "cred": 6, "creset": 6, "yellow": [6, 14], "cgreen": 6, "cr": 6, "blue": 6, "abbrev": 6, "changelog": [6, 11, 14], "6d8e1e": 6, "head": [6, 7, 10, 14, 18, 19], "nf": 6, "ago": [6, 14], "matthew": 6, "brett": 6, "d304a73": 6, "placehold": 6, "hhuuggoo": 6, "week": [6, 15], "jonathan": 6, "terhorst": 6, "4aff2a8": 6, "test_bugfix": 6, "hugo": 6, "a7ff2e5": 6, "propos": [6, 10, 11], "dure": [6, 7, 11, 12, 14, 17], "arrai": 6, "summit": 6, "corran": 6, "webster": 6, "68f6752": 6, "axisindex": 6, "index_bi": 6, "ax": 6, "sketchi": 6, "corr": 6, "376adbd": 6, "b605216": 6, "joshu": 6, "2e991e8": 6, "outer": 6, "ufunc": 6, "7beda5a": 6, "axi": 6, "throw": 6, "65af65": 6, "unit": 6, "assert": 6, "956fbab": 6, "remot": [6, 9, 10, 14, 18, 19, 20], "gittutori": 6, "introductori": 6, "extend": [6, 9, 12], "intermedi": [6, 14], "parabl": 6, "concept": [6, 7, 18], "behind": [6, 12], "detach": [6, 10], "excel": 6, "seri": 6, "pro": [6, 7], "depth": [6, 10], "train": 6, "kit": 6, "video": 6, "screencast": 6, "readi": [6, 9, 14, 15, 19], "post": [6, 9, 12, 15, 17], "thumb": 6, "linu": 6, "torvald": 6, "activ": [6, 12, 17], "exchang": 7, "notion": [7, 11, 12, 15], "central": [7, 9], "throughout": [7, 18], "secur": [7, 20], "cryptographi": 7, "cryptograph": 7, "protocol": [7, 9], "keygen": [7, 20], "brief": [7, 10], "rsa": 7, "id_rsa": 7, "passphras": 7, "identif": 7, "pub": 7, "fingerprint": 7, "ce": 7, "b3": 7, "c9": 7, "f0": 7, "f2": 7, "1c": 7, "0a": 7, "randomart": 7, "ob": 7, "folder": [7, 14, 16], "anybodi": [7, 15], "disclos": 7, "trust": 7, "administr": 7, "leav": [7, 14, 19], "login": [7, 9, 14], "procedur": [7, 9, 10, 14, 15, 16, 19, 20], "account": [7, 10, 11, 15, 20], "bookmark": 7, "12345": [7, 15, 19], "count": [7, 9, 11, 17, 19], "compress": [7, 9, 11, 19], "delta": [7, 9, 19], "unpack": [7, 11, 19], "kib": [7, 19], "206": [7, 11], "temporarili": 7, "databas": [7, 11], "filesystem": [7, 14], "task": [7, 11, 12], "synchron": [7, 12], "bob": [7, 19], "incorpor": [7, 11], "hi": 7, "35608": 7, "ort": 7, "strategi": [7, 12, 14], "inv": [7, 17], "98082": 7, "131309": 7, "byte": 7, "sh": [7, 12, 14], "stai": [7, 11], "accident": [7, 9], "notifi": 7, "ff": 7, "trivial": [7, 9], "reset": [7, 10, 18], "advanc": [7, 9, 10, 14, 17], "principl": 7, "replai": 7, "atop": 7, "somebodi": [7, 15], "began": 7, "collabor": [7, 14], "con": 7, "risk": [7, 10, 15], "laptop": 7, "mergetool": 7, "opendiff": 7, "kdiff3": 7, "araxi": 7, "bc3": 7, "codecompar": 7, "emerg": 7, "vimdiff": 7, "fibonacci": 7, "favourit": 7, "cross": 7, "platform": [7, 8, 9, 10, 11, 13, 17], "screenshot": 7, "middl": 7, "click": [7, 9, 14, 15, 16], "arrow": [7, 12], "adjac": 7, "pane": [7, 14], "overlap": 7, "hypothet": [7, 11], "he": [7, 15, 19], "perfect": [7, 15], "certainli": 7, "meanwhil": 7, "recurs": [7, 11], "her": [7, 19], "latest": [7, 10, 11, 13, 14, 17, 18], "41675dfaedbfb89dcff0a47e520be4aa2b6c5d1b": 7, "half": 7, "reconcil": 7, "upload": [7, 9, 10, 11, 12], "mine": 7, "6316447": 7, "41675df": 7, "14ae1d3": 7, "14afe53": 7, "ubuntu": [8, 9, 13, 14, 17], "sudo": [8, 11, 14], "apt": [8, 9, 14], "fedora": [8, 11, 13, 14], "yum": [8, 14], "wsl": [8, 14], "nativ": [8, 9, 11, 12], "pitfal": 8, "maco": [8, 9, 11, 18], "xcode": [8, 14], "homepag": 8, "address": [8, 12, 15], "center": [9, 10, 12], "usernam": [9, 14], "github_cli": 9, "authent": [9, 10], "auth": 9, "credenti": 9, "ye": [9, 11, 12, 14, 15], "3da8": 9, "5ada": 9, "press": [9, 14], "git_protocol": 9, "token": [9, 14], "readm": [9, 12, 14, 18], "docker": [9, 10, 17], "nekto": [9, 17], "upgrad": [9, 10, 11, 14], "ssh": [9, 10, 20], "dialogu": 9, "popular": [9, 14, 17], "cach": [9, 12, 14, 17, 18], "keypair": 9, "visit": [9, 14], "afresh": 9, "914565": 9, "2738": 9, "855": 9, "1950": 9, "2493": 9, "1875": 9, "911827": 9, "331": 9, "mib": [9, 19], "725438": 9, "9936": 9, "1136": 9, "1084": 9, "308": 9, "825": 9, "982": 9, "776": 9, "62": [9, 17], "838": 9, "145": 9, "establish": 9, "googl": [9, 11], "devel": [9, 11, 14], "anyon": [9, 18], "buggi": [9, 15], "architectur": 9, "thank": [9, 14], "nobodi": 9, "broad": 9, "inde": [9, 10], "problemat": [9, 15], "Be": [9, 15], "titl": [9, 11, 19], "solvabl": 9, "silli": 9, "world": [9, 15], "metric": [9, 15], "background": [9, 14], "convers": 9, "scan": 9, "concis": [9, 15, 18], "attent": [9, 10], "expertis": 9, "refactor": [9, 15], "linear": 9, "minor": [9, 10, 11], "blocker": [9, 15], "wishlist": 9, "said": 9, "understood": 9, "draft": [9, 19], "peer": [9, 15], "info": [9, 12, 15, 17], "answer": [9, 15], "merg": [9, 10, 11, 12, 15], "resolut": [9, 15, 19], "invalid": [9, 10], "wontfix": [9, 15], "worksform": [9, 15], "12699": 9, "unreli": 9, "issue_num": 9, "crash": [9, 15], "submit": [9, 11, 19], "hero": 9, "lint": [9, 10], "guidelin": [9, 10, 15], "pycodestyl": [9, 10], "relint": [9, 10, 12], "increment": [9, 12, 14], "focal": [9, 13, 14], "dispatch": 9, "prebuilt": [9, 12, 14], "yourself": [9, 11], "examin": [9, 19], "stale": 9, "regularli": 9, "triag": 9, "classifi": 9, "perceiv": 9, "2023": [10, 15], "trac": [10, 15], "transit": 10, "legaci": [10, 11], "aspect": [10, 15], "tell": [10, 18], "globe": 10, "pai": 10, "prerequisit": [10, 18], "gitpod": 10, "onlin": [10, 20], "launch": 10, "pre": [10, 11, 17, 20], "workspac": [10, 14], "straight": 10, "awai": 10, "enhanc": 10, "progress": 10, "todai": 10, "tricki": 10, "evolv": 10, "experienc": [10, 15], "contributor": 10, "highest": 10, "compos": [10, 14], "luck": 10, "cli": 10, "fork": [10, 11, 14, 18, 19], "stopgap": 10, "glanc": 10, "rebas": [10, 11, 17], "recoveri": [10, 18], "past": [10, 14, 16], "miscellan": 10, "troubleshoot": 10, "buildbot": 10, "ghcr": 10, "io": [10, 11, 17], "startuptim": 10, "ruff": 10, "codespel": 10, "pyflak": 10, "portion": [10, 12], "highlight": [10, 14], "coercion": [10, 15], "model": 10, "mutabl": 10, "__hash__": 10, "static": [10, 11, 17], "deprec": [10, 12], "spyx": 10, "interrupt": 10, "signal": 10, "unpickl": 10, "extern": [10, 12, 14, 15, 16], "gap": [10, 15], "libgap": 10, "pseudo": 10, "tty": 10, "creativ": 10, "alik": 10, "motto": 11, "reinvent": 11, "bash": [11, 14], "suit": 11, "overrid": 11, "sage_check": 11, "sage_check_packag": 11, "Not": [11, 12], "divid": 11, "stringent": 11, "bar": 11, "orthogon": 11, "ini": [11, 12, 14, 17], "host": 11, "mirror": [11, 14], "sage_loc": [11, 12, 14], "polici": 11, "whl": [11, 12], "custom": [11, 14], "pypi": [11, 12, 17], "simplest": 11, "pypa": 11, "user_guid": 11, "deleg": 11, "dummi": [11, 14], "regener": 11, "auto": [11, 17], "addition": [11, 14, 16, 17], "unmodifi": 11, "alphanumer": 11, "ffla": 11, "ffpack": 11, "fflas_ffpack": [11, 14], "tar": [11, 14, 17], "gz": [11, 14, 17], "distro": [11, 14], "platform1": 11, "platform2": 11, "has_nonfree_depend": 11, "huge": [11, 15], "baz": 11, "shebang": 11, "permiss": 11, "boilerpl": 11, "focu": [11, 15, 17], "templatess": 11, "preinst": 11, "postinst": 11, "24106": 11, "necessarili": [11, 14], "sdh_configur": 11, "sdh_make": 11, "sdh_make_instal": 11, "sage_spkg_install_doc": 11, "sdh_instal": 11, "sage_shar": 11, "package_nam": 11, "fi": 11, "cflag": 11, "cxxflag": 11, "fcflag": 11, "f77flag": 11, "o2": 11, "march": 11, "fat": 11, "slightli": [11, 14], "export": [11, 14], "cflags_non_n": 11, "o3": 11, "cflags_o3": 11, "possibli": [11, 14], "original_cflag": 11, "prior": 11, "23179": 11, "deliber": 11, "bootstrap": [11, 12, 14], "sage_sudo": 11, "observ": 11, "Such": [11, 12], "dist": [11, 17], "sdh_": 11, "sdh_die": 11, "stdin": 11, "conjunct": 11, "heredoc": 11, "_eof_": 11, "sdh_check_var": 11, "undefin": 11, "unwant": 11, "expans": 11, "libdir": 11, "target": [11, 14, 16], "destdir": 11, "stage": [11, 14, 15, 18], "sage_destdir": 11, "sdh_setup_bdist_wheel": 11, "bdist_wheel": 11, "sdh_pip_instal": 11, "sdh_store_and_pip_install_wheel": 11, "sdh_pip_editable_instal": 11, "concern": 11, "sdh_pip_uninstal": 11, "uninstal": 11, "unsuccess": [11, 12], "sage_spkg_wheel": 11, "dest": 11, "destin": 11, "prepend": 11, "treat": 11, "sdh_guard": 11, "won": 11, "unintend": 11, "sdh_cmake": 11, "cmake": [11, 14], "gnuinstalldir": 11, "cmake_install_prefix": 11, "cmake_install_libdir": 11, "sdh_preload_lib": 11, "sonam": 11, "op": 11, "ld_preload": 11, "24885": 11, "processor": [11, 12], "arch": [11, 14], "conda": [11, 13, 18], "homebrew": 11, "python_minor": 11, "brew": [11, 14], "popul": [11, 12], "suitespars": 11, "scipi": [11, 12], "python_toolchain": 11, "fundament": [11, 12], "setuptool": [11, 12], "encod": 11, "constraint": 11, "upper": 11, "bound": 11, "install_requir": [11, 12], "warrant": 11, "wish": [11, 18], "reject": 11, "sphinx": [11, 12, 16], "p0": 11, "gentoo": [11, 13, 14], "30975": 11, "silenc": 11, "deprecationwarn": 11, "legacyvers": 11, "mere": [11, 12], "downstream": [11, 14], "invit": 11, "refin": 11, "experi": [11, 14], "adjust": [11, 14], "guard": 11, "33520": 11, "pattern": [11, 12, 17], "contact": 11, "captur": 11, "kept": [11, 12], "eclib": [11, 14], "ntl": [11, 12], "flint": [11, 12, 14], "configpars": 11, "weaker": 11, "fact": [11, 12, 14], "dependencies_order_onli": 11, "rebuilt": [11, 14, 18], "dependencies_check": 11, "dependencies_opt": 11, "distclean": [11, 14, 18], "polytopes_db_4d": 11, "gb": [11, 14], "integr": [11, 12, 14, 15, 16], "filter": 11, "sage_venv": [11, 12, 14], "sage_doc": 11, "overridden": 11, "hunk": 11, "autodoc_builtin_argspec": 11, "dru": 11, "autodoc": 11, "orig": [11, 17], "2014": 11, "000000000": 11, "1300": 11, "1452": 11, "1462": 11, "app": 11, "add_config_valu": 11, "autoclass_cont": 11, "autodoc_member_ord": 11, "alphabet": 11, "autodoc_default_flag": 11, "autodoc_docstring_signatur": 11, "add_ev": 11, "condition": [11, 12, 16], "solari": 11, "unam": [11, 14], "suno": 11, "unpatch": 11, "handwritten": 11, "bindir": 11, "incdir": 11, "bother": 11, "facil": [11, 17], "automak": 11, "libtool": 11, "portabl": [11, 17], "ac": [11, 14], "autotool": [11, 14], "sage_package_vers": 11, "rf": 11, "mkdir": [11, 14], "sage_package_oldvers": 11, "sage_package_newvers": 11, "database_stein_watkin": 11, "20110713": 11, "vanilla": 11, "p1": [11, 14], "substr": 11, "upstream_url": 11, "hold": 11, "archiv": [11, 14], "substitut": 11, "version_major": 11, "version_minor": 11, "version_micro": 11, "fall": [11, 15], "trim": 11, "mirror_list": 11, "fewer": 11, "scikit_spati": 11, "queri": 11, "watch": 11, "dep": 11, "numpi": 11, "bz2": 11, "aggreg": 11, "has_file_distros_arch_txt": 11, "181": 11, "has_file_distros_conda_txt": 11, "has_file_distros_debian_txt": 11, "172": 11, "has_file_distros_fedora_txt": 11, "183": 11, "has_file_distros_gentoo_txt": 11, "211": 11, "has_file_distros_homebrew_txt": 11, "has_file_distros_macports_txt": 11, "173": [11, 17], "has_file_distros_nix_txt": 11, "72": 11, "has_file_distros_opensuse_txt": 11, "has_file_distros_slackware_txt": 11, "has_file_distros_void_txt": 11, "221": 11, "has_file_patch": 11, "63": [11, 14], "has_file_spkg_check": 11, "has_file_spkg_configure_m4": 11, "262": 11, "has_file_spkg_instal": 11, "has_tarball_upstream_url": 11, "291": 11, "line_count_file_patch": 11, "31904": 11, "line_count_file_spkg_check": 11, "585": 11, "line_count_file_spkg_configure_m4": 11, "3337": 11, "line_count_file_spkg_instal": 11, "4342": 11, "442": 11, "type_bas": 11, "type_experiment": 11, "type_opt": 11, "type_standard": 11, "272": 11, "monitor": 11, "mainten": [11, 12], "burden": [11, 12], "line_count_spkg_instal": 11, "reinstal": 11, "giac": 11, "criteria": 11, "justifi": 11, "absenc": 11, "leak": 11, "previous": [11, 14, 18], "refere": [11, 15], "hierarch": 12, "fill": 12, "code_bound": 12, "dash": 12, "ownership": 12, "423": 12, "fallen": 12, "favor": 12, "mainli": 12, "pac": 12, "kage": 12, "distri": 12, "bution": 12, "subset": [12, 14], "sws2rst": 12, "sage_sws2rst": 12, "ecosystem": 12, "wider": 12, "alloc": 12, "memory_alloc": 12, "420": 12, "tdlib": 12, "graph_decomposit": 12, "rw": [12, 14], "rankwidth": 12, "cycl": [12, 15], "monorepo": 12, "monolith": 12, "manifest": 12, "sync": [12, 17], "sage_setup": 12, "polyhedra": 12, "fixdistribut": 12, "polyhedron": [12, 17], "sdist": 12, "sagemath_polyhedra": 12, "pyproject": 12, "toml": 12, "hotfix": 12, "suffix": [12, 14], "post1": 12, "post2": 12, "beta8": 12, "anticip": 12, "dev1": 12, "dev2": 12, "development": 12, "beta9": [12, 14], "beta0": 12, "techniqu": 12, "effort": 12, "scene": 12, "phase": [12, 14, 17], "cimport": 12, "setup_requir": 12, "partit": 12, "29864": 12, "simultan": 12, "audit": 12, "fiximport": 12, "overhead": 12, "inner": 12, "demand": 12, "anti": [12, 17], "isinst": 12, "padicfield": 12, "is_padicfield": 12, "abc": 12, "light": 12, "subclass": 12, "padic": 12, "generic_nod": 12, "padicfieldgener": 12, "incur": 12, "penalti": 12, "qp": 12, "timeit": 12, "68": [12, 14], "cost": 12, "szz": 12, "is_scheme_or_pluff": 12, "xxxx_does_not_exist": 12, "pluff": 12, "143": 12, "\u00b5": 12, "simplifi": [12, 14], "__instancecheck__": 12, "636": 12, "654": 12, "idiom": 12, "beta6": 12, "calculu": 12, "ceil": 12, "grs_code": 12, "guruswami_sudan": 12, "floor": 12, "appar": [12, 15], "substanti": 12, "artithmet": 12, "integer_floor": 12, "integer_ceil": 12, "textual": 12, "heurist": 12, "entropi": 12, "expert": 12, "strong": 12, "ecl": 12, "extras_requir": 12, "limit": [12, 14, 17], "affect": [12, 15], "nicknam": 12, "strength": 12, "mild": 12, "solid": 12, "diagram": 12, "sage_conf": 12, "package_dir": 12, "upon": [12, 19], "ipython": 12, "testabl": [12, 15], "markup": [12, 17], "influenc": 12, "real_doubl": 12, "symbolicr": 12, "hide": 12, "clearer": 12, "babel": 12, "py2": 12, "py3": 12, "cp39": 12, "macosx_11_0_x86_64": 12, "jinja2": 12, "widgetsnbextens": 12, "zipp": 12, "sage_": [12, 16], "0b2": 12, "conf": 12, "dispos": 12, "sage_num_thread": 12, "35095": 12, "intend": [12, 14], "29865": 12, "valuabl": 12, "regress": 12, "higher": 12, "trusti": [13, 14], "toolchain": [13, 14], "gcc_9": [13, 14], "xenial": [13, 14], "bionic": [13, 14], "gcc_8": [13, 14], "jammi": [13, 14], "lunar": [13, 14], "mantic": [13, 14], "buster": [13, 14], "gcc_spkg": [13, 14], "bullsey": [13, 14], "bookworm": [13, 14], "trixi": [13, 14], "sid": [13, 14], "linuxmint": [13, 14], "cento": [13, 14], "devtoolset": [13, 14], "gcc_11": [13, 14], "almalinux": [13, 14], "archlinux": [13, 14], "opensus": [13, 14], "tumblewe": [13, 14], "forg": [13, 14, 18], "i386": [13, 14], "varieti": [14, 15], "subsystem": [14, 15], "consider": [14, 18], "variat": 14, "spectrum": 14, "constantli": 14, "fleet": 14, "announc": [14, 15], "respond": 14, "virtual": [14, 17, 20], "client": 14, "mac": [14, 18], "cloud": 14, "servic": [14, 20], "codespac": 14, "dev": 14, "devcontain": 14, "hub": 14, "registri": 14, "lt": 14, "9f3398da43c2": 14, "76": 14, "linuxkit": 14, "smp": 14, "oct": 14, "utc": 14, "2019": 14, "df": 14, "mount": 14, "overlai": 14, "181g": 14, "116g": 14, "56g": 14, "tmpf": 14, "64m": 14, "7g": 14, "cgroup": 14, "shm": 14, "sda1": 14, "proc": 14, "acpi": 14, "firmwar": 14, "lose": 14, "preciou": 14, "bind": 14, "39d693b2a75d": 14, "osxf": 14, "fuse": 14, "nosuid": 14, "nodev": 14, "relatim": 14, "user_id": 14, "group_id": 14, "allow_oth": 14, "max_read": 14, "1048576": 14, "gcc": 14, "guess": 14, "forgot": 14, "remind": 14, "rememb": 14, "_prereq": 14, "binutil": 14, "perl": 14, "urllib": 14, "bc": 14, "surviv": 14, "preprocessor": 14, "cpp": 14, "ca": [14, 15, 17], "newest": 14, "29b": 14, "2ubuntu0": 14, "unprivileg": 14, "arb": 14, "boost_crop": 14, "bzip2": 14, "zeromq": 14, "zlib": 14, "libflint": 14, "libzmq3": 14, "libz": 14, "reconfigur": 14, "libbz2": 14, "zlib1g": 14, "amd64": 14, "dfsg": 14, "0ubuntu2": 14, "n3": 14, "sha256": 14, "4151c5ca4476660f6181cdb13923da8fe44082222b984c377fb4fd6cc05415c1": 14, "73987568712c": 14, "bunzip2": 14, "quick": 14, "base_imag": 14, "debian_frontend": 14, "noninteract": 14, "qqq": 14, "workdir": [14, 17], "md": [14, 18, 19], "extra_configure_arg": 14, "numproc": 14, "j": [14, 17], "use_makeflag": 14, "targets_pr": 14, "ratpoint": 14, "daemon": 14, "285mb": 14, "549b9b86cb8d": 14, "logger": 14, "p5": 14, "0m18": 14, "886": 14, "0m1": 14, "779": 14, "0m0": 14, "314": 14, "2d06689d39fa": 14, "fab59e09a641": 14, "236": 14, "231169": 14, "mar": 14, "6025": 14, "rat": 14, "177256": 14, "libratpoint": 14, "elsewher": 14, "contrast": 14, "exclus": [14, 17], "gitignor": 14, "dockerignor": 14, "artefact": 14, "suspect": 14, "surf": 14, "2017": 14, "17d0ddb5ad7b": 14, "7b51411520c3": 14, "61833bea6a6d": 14, "j4": [14, 18], "gcc6": 14, "mit": 14, "edu": 14, "ld": 14, "lfl": 14, "collect2": 14, "504": 14, "2088": 14, "remad": 14, "cp": 14, "acinclud": 14, "acloc": 14, "dither": 14, "mkinstalldir": 14, "pic": 14, "mt": 14, "draw": 14, "drawfunc": 14, "xpm": 14, "sub": 14, "gtkgui": 14, "yaccsrc": 14, "earlier": 14, "003fbd511016fe305bd8494bb1747f0fbf4cb2c788b4e755e9099d9f2014a60d": 14, "003fbd511": 14, "2d9ac65f4572": 14, "buildsh": 14, "subshel": 14, "libfl": 14, "flex": 14, "freebsd": 14, "buildutil": 14, "sane": 14, "644": 14, "man": 14, "man1": 14, "bitrot": 14, "sophist": 14, "slackwar": 14, "arm64": 14, "_bootstrap": 14, "suppli": 14, "extra_docker_build_arg": 14, "431": 14, "gca4b5b2f33": 14, "dirti": 14, "docker_target": 14, "109": 14, "echo": 14, "4bb14c3d5646": 14, "g861ba33bbc": 14, "7ecfa86fceab": 14, "4314929e2b4c": 14, "straightforward": 14, "variant": 14, "fresh": [14, 15], "pythonhashse": [14, 17], "2211987514": 14, "rpath": 14, "328": 14, "succeed": [14, 17], "congratul": [14, 17], "investig": 14, "la": 14, "2576": 14, "drwxr": 14, "xr": 14, "staff": 14, "1120": 14, "lrwxr": 14, "74": 14, "1212": 14, "224": 14, "7542": 14, "rwxr": 14, "90411": 14, "887180": 14, "17070": 14, "768": 14, "105": 14, "4868": 14, "13478": 14, "165968": 14, "sbin": 14, "sfw": 14, "lrslib": 14, "4246149402": 14, "tap": 14, "4942": 14, "205": 14, "310": 14, "7mb": 14, "ftp": 14, "gettext": 14, "xz": 14, "pour": 14, "autoconf": 14, "catalina": 14, "bottl": 14, "cellar": 14, "623": 14, "4kb": 14, "caveat": [14, 15], "keg": 14, "symlink": 14, "bash_profil": 14, "ldflag": 14, "cppflag": 14, "cbc": 14, "cliquer": 14, "tachyon": 14, "gsl": 14, "mpfi": 14, "ninja": 14, "openbla": 14, "gpatch": 14, "readlin": 14, "062": 14, "python3_xcod": 14, "python3_pythonorg": 14, "themselv": 14, "miniconda": 14, "anaconda": 14, "channel": 14, "skip_system_pkg_instal": 14, "skip_bootstrap": 14, "skip_configur": 14, "recheck": 14, "multitud": 14, "yml": [14, 17], "ssd": 14, "cf": 14, "6h": 14, "bare": 14, "robust": [14, 15], "artifact": 14, "lightweight": 14, "green": 14, "checkmark": 14, "reflect": [14, 19], "red": 14, "8ca1c2df8f1fb4c6d54b44b34b4d8320ebecb164": 14, "sagetex": 14, "IN": 14, "cddlib": 14, "ecm": 14, "fplll": 14, "givaro": 14, "viewer": 14, "password": 14, "checkbox": 14, "button": 14, "de1ec7ab1ec0ffee5ca1dedbaff1ed0ddba11": 14, "f4bd671": 14, "d5fd17ec1767": 14, "67586203f0c7": 14, "b63c529f4777": 14, "159775d1a3d2": 14, "digest": 14, "e6ba5e12f59c6c4668692ef4cfe4ae5f242556482664fb347bf260f32bf8e698": 14, "8055a7ba0607": 14, "2022": 14, "studio": 14, "icon": 14, "shift": 14, "sampl": [14, 17], "palett": 14, "reopen": [14, 15], "gigabyt": 14, "oncreatecommand": 14, "updatecontentcommand": 14, "premad": 14, "update_docker_platform": 14, "computop": 14, "manifold": [14, 17], "snappi": 14, "regina": 14, "phcpack": 14, "_sagemath": 14, "cocalc": 14, "deploy": 14, "ey": 15, "spot": 15, "insuffici": 15, "unexpect": 15, "she": 15, "wonder": 15, "bugfix": 15, "badli": 15, "feel": [15, 18], "mercuri": 15, "enemi": 15, "prematur": 15, "laundri": 15, "limbo": 15, "bomb": 15, "000": 15, "bundl": 15, "rip": 15, "imagin": 15, "tediou": 15, "gradual": 15, "philosophi": 15, "combinatori": 15, "explos": 15, "ten": 15, "commonli": [15, 18, 19], "tracker": 15, "willing": 15, "hopefulli": 15, "tri": 15, "couldn": 15, "afoul": 15, "candid": 15, "forthcom": 15, "mileston": [15, 18], "batch": 15, "undergo": 15, "unmerg": 15, "merit": 15, "high": [15, 18, 20], "benefit": [15, 20], "trade": 15, "unforeseen": 15, "rational": 15, "docbuild": 16, "toward": [16, 17, 18], "module_nam": 16, "mod1": 16, "mod2": 16, "mod3": 16, "method_on": 16, "method_two": 16, "role": 16, "17596": 16, "mathematics_softwar": 16, "arxiv": 16, "1202": 16, "1506": 16, "encyclopedia": 16, "a000081": 16, "2752": 16, "175303708x390473": 16, "mathscinet": 16, "mr0100971": 16, "anonym": 16, "twice": [16, 18], "__": 16, "example2": 16, "matroid": 16, "my_algorithm": 16, "module_list": 16, "dynam": 16, "graphviz": 16, "feature_": 16, "feature_graphviz": 16, "feature_sage_symbol": 16, "sage_docbuild": 16, "thin": 16, "quickstart": 16, "plenti": 16, "builder": 16, "lang": 16, "english": 16, "french": 16, "preced": 16, "descrobject": 16, "ctypedef": 16, "struct": 16, "pymethoddef": 16, "void": 16, "ml_meth": 16, "pymethoddescrobject": 16, "d_method": 16, "pycfunction_get_funct": 16, "bint": 16, "pycfunction_check": 16, "envlist": 17, "forbidden": 17, "patchbot": 17, "plugin": 17, "misspel": 17, "readthedoc": 17, "coverageal": 17, "tableau": 17, "longest": 17, "overal": 17, "conform": 17, "28778046": 17, "e401": 17, "e70": 17, "w605": 17, "e711": 17, "e712": 17, "e721": 17, "___________": 17, "____________": 17, "turnaround": 17, "thorough": 17, "quadratic_form": 17, "2520226550": 17, "e225": 17, "165": 17, "e228": 17, "1620": 17, "e266": 17, "1621": 17, "e111": 17, "e117": 17, "129": 17, "e127": 17, "e128": 17, "e201": 17, "e202": 17, "e222": 17, "e231": 17, "e262": 17, "inlin": 17, "e265": 17, "e272": 17, "e301": 17, "e303": 17, "invocationerror": 17, "cleanup": 17, "complianc": 17, "harder": 17, "3166223974": 17, "557": 17, "e112": 17, "194": 17, "e114": 17, "e743": 17, "335": 17, "w291": 17, "w292": 17, "newlin": 17, "229": 17, "w293": 17, "459": 17, "w391": 17, "97797": 17, "vscode": 17, "pycodestyleen": 17, "pycqa": 17, "power": 17, "linter": 17, "rust": 17, "capac": 17, "emit": 17, "outdat": 17, "mistak": 17, "dictionari": 17, "homologi": 17, "1285169064": 17, "jpg": 17, "dia": 17, "ico": 17, "bak": 17, "sobj": 17, "pyc": 17, "sw": 17, "ds_store": 17, "hu": 17, "ja": 17, "ru": 17, "tr": 17, "autom4t": 17, "hochschild_complex": 17, "271": 17, "mone": 17, "mono": 17, "monei": 17, "277": 17, "280": 17, "chain_complex": 17, "2185": 17, "mor": 17, "2204": 17, "2210": 17, "2211": 17, "2214": 17, "2215": 17, "65": 17, "testenv": 17, "backend": 17, "pytest_xdist": 17, "test_fil": 17, "across": 17, "spawn": 17, "worker": 17, "offic": 17, "conftest": 17, "npm": 17, "node_opt": 17, "max": 17, "pylanc": 17, "pyrightconfig": 17, "microsoft": 17, "gh": [17, 19], "standalon": 17, "pull_request": 17, "catthehack": 17, "flake8": 17, "ok": 17, "472": 17, "474": 17, "node": 17, "v4": 17, "gpg": 18, "subcommand": 18, "giant": 18, "capit": 18, "bewar": 18, "asterisk": 18, "last_twin_prim": 18, "topmost": 18, "dig": 18, "deeper": 18, "revers": 18, "tig": 18, "some_fil": 18, "untrack": 18, "last_pair": 18, "restart": 18, "believ": 18, "recython": 18, "subsequ": 18, "ccach": 18, "unlik": 18, "unstag": 18, "31331f7": 18, "foobar": 18, "twin": [18, 19], "iter": 19, "approv": 19, "pull_request_templ": 19, "83": 19, "98": 19, "352d842907": 19, "56ffdab967": 19, "happi": 19, "cleanli": 19, "smart": 19, "30500": 20, "gitlab": 20, "tempkei": 20, "private_ssh_kei": 20, "ui": 20, "regist": 20, "spec": 20, "prebuild": 20}, "objects": {}, "objtypes": {}, "objnames": {}, "titleterms": {"gener": [0, 7, 14], "convent": 0, "python": [0, 3, 11], "code": [0, 1, 3, 10, 11, 14, 15, 16, 18], "style": 0, "file": [0, 1, 4, 11, 16], "directori": [0, 11, 12], "structur": [0, 11], "learn": 0, "copi": 0, "past": 0, "head": [0, 5], "sage": [0, 1, 3, 4, 5, 9, 10, 11, 12, 14, 16, 18, 20], "librari": [0, 2, 4, 12], "document": [0, 10, 12, 16], "string": 0, "The": [0, 2, 3, 4, 9, 11, 15, 16, 18], "docstr": 0, "function": [0, 3, 11], "content": [0, 10], "note": [0, 9], "about": 0, "sphinx": 0, "direct": [0, 14], "v": [0, 12, 14], "other": [0, 5, 12], "block": 0, "": [0, 4, 14], "master": 0, "bibliographi": 0, "templat": 0, "fine": 0, "point": 0, "privat": 0, "latex": [0, 3], "typeset": 0, "write": [0, 1, 10], "testabl": 0, "exampl": 0, "special": [0, 3], "markup": 0, "influenc": 0, "doctest": [0, 4, 12, 17], "run": [0, 4], "autom": 0, "test": [0, 4, 10, 11, 12, 14, 17], "py": [0, 17], "pyx": 0, "rest": 0, "regard": 0, "whitespac": 0, "global": 0, "option": [0, 3, 4, 14, 16], "miscellan": [0, 4], "minor": 0, "thing": 0, "cython": [1, 16, 17], "attach": 1, "load": 1, "spyx": 1, "interrupt": 1, "signal": 1, "handl": 1, "unpickl": 1, "us": [2, 3, 4, 9, 11, 14, 19, 20], "extern": [2, 4], "interfac": 2, "pari": 2, "c": 2, "gap": 2, "libgap": 2, "singular": 2, "anoth": 2, "approach": 2, "creat": [2, 9, 11, 19], "new": [2, 11, 16, 19], "pseudo": 2, "tty": 2, "languag": 3, "standard": [3, 11], "design": 3, "represent": 3, "print": 3, "matrix": 3, "vector": 3, "from": [3, 4, 7], "object": 3, "prepars": 3, "coercion": 3, "model": 3, "mutabl": 3, "__hash__": 3, "method": 3, "except": 3, "integ": 3, "return": 3, "valu": 3, "import": 3, "static": 3, "type": [3, 11], "deprec": 3, "experiment": 3, "unstabl": 3, "packag": [3, 10, 11, 12, 14], "modul": [4, 12], "troubleshoot": 4, "parallel": 4, "mani": 4, "whole": 4, "beyond": 4, "within": 4, "argument": 4, "long": 4, "all": 4, "debug": [4, 14], "tool": [4, 7, 17], "show": 4, "onli": [4, 12], "first": [4, 10], "failur": 4, "skip": 4, "iter": 4, "differ": 4, "timeout": 4, "absolut": 4, "path": 4, "chang": [4, 7, 19], "random": 4, "order": 4, "auxiliari": 4, "virtual": [4, 12], "environ": [4, 12], "fixer": 4, "updat": [4, 5, 7, 10, 11], "output": [4, 6], "manag": 4, "need": 4, "tag": [4, 11], "baselin": 4, "advanc": [5, 6], "git": [5, 6, 7, 8, 9, 10, 18, 19], "detach": 5, "review": [5, 15], "pr": [5, 7, 9, 14, 15, 19], "branch": [5, 18, 19], "latest": 5, "version": [5, 11, 12], "introduct": 5, "merg": [5, 6, 7, 19], "minim": 5, "recompil": 5, "time": [5, 12], "why": 5, "wai": 5, "round": 5, "reset": 5, "recoveri": 5, "rewrit": 5, "histori": [5, 18], "interact": 5, "rebas": [5, 7], "tip": 6, "refer": [6, 16], "configur": [6, 8, 9], "alias": 6, "editor": [6, 20], "fanci": 6, "log": 6, "tutori": 6, "summari": 6, "beginn": 6, "best": [6, 14], "practic": 6, "manual": [6, 16], "page": 6, "onlin": 6, "basic": 7, "authent": 7, "through": [7, 18], "ssh": 7, "your": [7, 9, 20], "kei": 7, "ad": [7, 16], "public": 7, "github": [7, 9, 10, 14, 19], "push": 7, "remot": 7, "check": [7, 9, 18, 19], "out": [7, 18, 19], "get": 7, "develop": [7, 10, 14, 17, 18, 19], "conflict": 7, "resolut": 7, "set": [8, 11, 20], "up": [8, 19, 20], "instal": [8, 9, 11, 14], "repositori": 9, "obtain": [9, 11, 18], "account": 9, "cli": 9, "gh": 9, "extens": 9, "link": 9, "fork": 9, "report": [9, 14], "bug": [9, 14], "plan": 9, "an": [9, 19], "enhanc": 9, "open": 9, "issu": 9, "pull": 9, "request": 9, "statu": 9, "stopgap": 9, "comment": 9, "final": 9, "welcom": 10, "guid": 10, "tabl": 10, "step": 10, "work": 10, "more": [10, 19], "indic": 10, "third": 11, "parti": 11, "sourc": [11, 12, 18], "build": [11, 12, 14, 16], "script": 11, "normal": 11, "helper": 11, "allow": 11, "system": [11, 14], "self": 11, "base": [11, 14], "spkg": 11, "rst": 11, "depend": [11, 12], "where": 11, "ar": 11, "patch": 11, "when": 11, "repackag": 11, "autoconfisc": 11, "how": 11, "maintain": 11, "modifi": 11, "tarbal": 11, "checksum": 11, "name": [11, 16], "upstream": [11, 19], "url": 11, "util": 11, "metric": 11, "inclus": 11, "procedur": 11, "licens": 11, "inform": 11, "prerequisit": [11, 14], "distribut": [12, 14], "ordinari": 12, "implicit": 12, "namespac": 12, "level": 12, "runtim": 12, "constraint": 12, "hierarchi": 12, "prepar": 12, "modular": 12, "tox": [12, 14, 17], "multipl": 14, "platform": 14, "action": 14, "buildbot": 14, "releas": [14, 15], "docker": 14, "discov": 14, "databas": 14, "equival": 14, "commit": [14, 18], "contain": 14, "disk": 14, "dockerfil": 14, "portabl": 14, "automat": 14, "host": 14, "o": 14, "e": 14, "local": 14, "effort": 14, "isol": 14, "maco": 14, "homebrew": 14, "conda": 14, "technologi": 14, "our": 14, "pre": 14, "built": 14, "imag": 14, "publish": 14, "ghcr": 14, "io": 14, "close": 15, "reason": 15, "invalid": 15, "process": 15, "edit": [16, 18], "hyperlink": 16, "make": [16, 18], "portion": 16, "condit": 16, "featur": 16, "syntax": 16, "highlight": 16, "coverag": 17, "startuptim": 17, "pycodestyl": 17, "lint": 17, "ruff": 17, "relint": 17, "codespel": 17, "pytest": 17, "pyright": 17, "pyflak": 17, "act": 17, "walk": 18, "rebuild": 18, "workflow": 19, "glanc": 19, "exist": 19, "upload": 19, "finish": 19, "workspac": 20, "text": 20, "id": 20, "gitpod": 20}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx.ext.todo": 2, "sphinx": 60}, "alltitles": {"General Conventions": [[0, "general-conventions"]], "Python code style": [[0, "python-code-style"]], "Files and directory structure": [[0, "files-and-directory-structure"]], "Learn by copy/paste": [[0, "learn-by-copy-paste"]], "Headings of Sage library code files": [[0, "headings-of-sage-library-code-files"]], "Documentation strings": [[0, "documentation-strings"]], "The docstring of a function: content": [[0, "the-docstring-of-a-function-content"]], "Note about Sphinx directives vs. other blocks": [[0, "note-about-sphinx-directives-vs-other-blocks"]], "Sage documentation style": [[0, "sage-documentation-style"]], "Sage\u2019s master BIBLIOGRAPHY file": [[0, "sage-s-master-bibliography-file"]], "Template": [[0, "template"]], "Fine points on styles": [[0, "fine-points-on-styles"]], "Private functions": [[0, "private-functions"]], "LaTeX typesetting": [[0, "latex-typesetting"]], "Writing testable examples": [[0, "writing-testable-examples"]], "Special markup to influence doctests": [[0, "special-markup-to-influence-doctests"]], "Running automated doctests": [[0, "running-automated-doctests"]], "Testing .py, .pyx and .sage files": [[0, "testing-py-pyx-and-sage-files"]], "Testing reST documentation": [[0, "testing-rest-documentation"]], "General coding style regarding whitespace": [[0, "general-coding-style-regarding-whitespace"]], "Global options": [[0, "global-options"]], "Miscellaneous minor things": [[0, "miscellaneous-minor-things"]], "Coding in Cython": [[1, "coding-in-cython"]], "Writing cython code in Sage": [[1, "writing-cython-code-in-sage"]], "Attaching or loading .spyx files": [[1, "attaching-or-loading-spyx-files"]], "Interrupt and signal handling": [[1, "interrupt-and-signal-handling"]], "Unpickling Cython code": [[1, "unpickling-cython-code"]], "Using External Libraries and Interfaces": [[2, "using-external-libraries-and-interfaces"]], "The PARI C library interface": [[2, "the-pari-c-library-interface"]], "GAP": [[2, "gap"]], "LibGAP": [[2, "libgap"]], "Singular": [[2, "singular"]], "Singular: another approach": [[2, "singular-another-approach"]], "Creating a new pseudo-TTY interface": [[2, "creating-a-new-pseudo-tty-interface"]], "Coding in Python for Sage": [[3, "coding-in-python-for-sage"]], "Python language standard": [[3, "python-language-standard"]], "Design": [[3, "design"]], "Special Sage functions": [[3, "special-sage-functions"]], "LaTeX representation": [[3, "latex-representation"]], "Print representation": [[3, "print-representation"]], "Matrix or vector from object": [[3, "matrix-or-vector-from-object"]], "Sage preparsing": [[3, "sage-preparsing"]], "The Sage coercion model": [[3, "the-sage-coercion-model"]], "Mutability": [[3, "mutability"]], "The  __hash__ special method": [[3, "the-hash-special-method"]], "Exceptions": [[3, "exceptions"]], "Integer return values": [[3, "integer-return-values"]], "Importing": [[3, "importing"]], "Static typing": [[3, "static-typing"]], "Deprecation": [[3, "deprecation"]], "Experimental/unstable code": [[3, "experimental-unstable-code"]], "Using optional packages": [[3, "using-optional-packages"]], "Running Sage\u2019s Doctests": [[4, "running-sage-s-doctests"]], "Testing a module": [[4, "testing-a-module"]], "Troubleshooting": [[4, "troubleshooting"]], "Parallel testing many modules": [[4, "parallel-testing-many-modules"]], "Parallel testing the whole Sage library": [[4, "parallel-testing-the-whole-sage-library"]], "Beyond the Sage library": [[4, "beyond-the-sage-library"]], "Doctesting from within Sage": [[4, "doctesting-from-within-sage"]], "Optional arguments": [[4, "optional-arguments"]], "Run long doctests": [[4, "run-long-doctests"]], "Run optional doctests": [[4, "run-optional-doctests"]], "Running doctests in parallel": [[4, "running-doctests-in-parallel"]], "Doctesting all of Sage": [[4, "doctesting-all-of-sage"]], "Debugging tools": [[4, "debugging-tools"]], "Miscellaneous options": [[4, "miscellaneous-options"]], "Show only first failure": [[4, "show-only-first-failure"]], "Show skipped optional tests": [[4, "show-skipped-optional-tests"]], "Running tests with iterations": [[4, "running-tests-with-iterations"]], "Using a different timeout": [[4, "using-a-different-timeout"]], "Using absolute paths": [[4, "using-absolute-paths"]], "Testing changed files": [[4, "testing-changed-files"]], "Running tests in a random order": [[4, "running-tests-in-a-random-order"]], "Testing external files": [[4, "testing-external-files"]], "Auxiliary files": [[4, "auxiliary-files"]], "Options for testing in virtual environments": [[4, "options-for-testing-in-virtual-environments"]], "The doctest fixer": [[4, "the-doctest-fixer"]], "Updating doctest outputs": [[4, "updating-doctest-outputs"]], "Managing # optional and # needs tags": [[4, "managing-optional-and-needs-tags"]], "Use in virtual environments": [[4, "use-in-virtual-environments"]], "Updating baseline files": [[4, "updating-baseline-files"]], "Advanced Git": [[5, "advanced-git"]], "Detached heads and reviewing PRs": [[5, "detached-heads-and-reviewing-prs"]], "Update branch to latest Sage version": [[5, "update-branch-to-latest-sage-version"]], "Introduction": [[5, "introduction"]], "Merge in the latest Sage version": [[5, "merge-in-the-latest-sage-version"]], "Minimize the recompilation time": [[5, "minimize-the-recompilation-time"]], "Why not merging the other way round?": [[5, "why-not-merging-the-other-way-round"]], "Reset and recovery": [[5, "reset-and-recovery"]], "Rewriting history": [[5, "rewriting-history"]], "Interactively rebasing": [[5, "interactively-rebasing"]], "Git Tips and References": [[6, "git-tips-and-references"]], "Configuration tips": [[6, "configuration-tips"]], "Aliases": [[6, "aliases"]], "Editor": [[6, "editor"]], "Merging": [[6, "merging"]], "Fancy log output": [[6, "fancy-log-output"]], "Tutorials and summaries": [[6, "tutorials-and-summaries"]], "Beginner": [[6, "beginner"]], "Advanced": [[6, "advanced"]], "Git best practices": [[6, "git-best-practices"]], "Manual pages online": [[6, "manual-pages-online"]], "Git Basics": [[7, "git-basics"]], "Git authentication through SSH": [[7, "git-authentication-through-ssh"]], "Generating your SSH keys": [[7, "generating-your-ssh-keys"]], "Adding your public key for authentication to GitHub": [[7, "adding-your-public-key-for-authentication-to-github"]], "Pushing your changes to a remote": [[7, "pushing-your-changes-to-a-remote"]], "Checking out a PR": [[7, "checking-out-a-pr"]], "Getting changes from a remote": [[7, "getting-changes-from-a-remote"]], "Updating develop": [[7, "updating-develop"]], "Merging and rebasing": [[7, "merging-and-rebasing"]], "Merge tools": [[7, "merge-tools"]], "Conflict resolution": [[7, "conflict-resolution"]], "Setting Up Git": [[8, "setting-up-git"]], "Installing Git": [[8, "installing-git"]], "Configuring Git": [[8, "configuring-git"]], "The Sage Repository on GitHub": [[9, "the-sage-repository-on-github"]], "Obtaining a GitHub account": [[9, "obtaining-a-github-account"]], "Using the GitHub CLI": [[9, "using-the-github-cli"]], "Installation": [[9, "installation"]], "Configuration": [[9, "configuration"]], "gh extensions": [[9, "gh-extensions"]], "Linking Git to your GitHub account": [[9, "linking-git-to-your-github-account"]], "Forking the Sage repository": [[9, "forking-the-sage-repository"]], "Reporting bugs": [[9, "reporting-bugs"]], "Planning an enhancement": [[9, "planning-an-enhancement"]], "Opening an issue": [[9, "opening-an-issue"]], "Creating a Pull Request": [[9, "creating-a-pull-request"]], "The status of a PR": [[9, "the-status-of-a-pr"]], "The stopgap": [[9, "the-stopgap"]], "Commenting issues and PRs": [[9, "commenting-issues-and-prs"]], "Checks on PRs": [[9, "checks-on-prs"]], "Final notes": [[9, "final-notes"]], "Welcome to Sage Developer Guide": [[10, "welcome-to-sage-developer-guide"]], "Table of Contents": [[10, "table-of-contents"]], "First Steps": [[10, "first-steps"]], "Working on GitHub": [[10, "working-on-github"]], "Working with Git": [[10, "working-with-git"]], "Writing Code for Sage": [[10, "writing-code-for-sage"]], "Testing Sage": [[10, "testing-sage"]], "Updating Sage Documentation": [[10, "updating-sage-documentation"]], "More on Coding for Sage": [[10, "more-on-coding-for-sage"]], "Packaging": [[10, "packaging"]], "Indices and tables": [[10, "indices-and-tables"]], "Packaging Third-Party Code for Sage": [[11, "packaging-third-party-code-for-sage"]], "Package types": [[11, "package-types"]], "Package source types": [[11, "package-source-types"]], "Directory structure": [[11, "directory-structure"]], "Package type": [[11, "package-type"]], "Build and install scripts of normal packages": [[11, "build-and-install-scripts-of-normal-packages"]], "Install scripts of script packages": [[11, "install-scripts-of-script-packages"]], "Helper functions": [[11, "helper-functions"]], "Allowing for the use of system packages": [[11, "allowing-for-the-use-of-system-packages"]], "Self-tests": [[11, "self-tests"]], "Python-based packages": [[11, "python-based-packages"]], "The SPKG.rst file": [[11, "the-spkg-rst-file"]], "Package dependencies": [[11, "package-dependencies"]], "Package tags": [[11, "package-tags"]], "Where packages are installed": [[11, "where-packages-are-installed"]], "Patching sources": [[11, "patching-sources"]], "When to patch, when to repackage, when to autoconfiscate": [[11, "when-to-patch-when-to-repackage-when-to-autoconfiscate"]], "How to maintain a set of patches": [[11, "how-to-maintain-a-set-of-patches"]], "Modified tarballs": [[11, "modified-tarballs"]], "Package versioning": [[11, "package-versioning"]], "Checksums and tarball names": [[11, "checksums-and-tarball-names"]], "Upstream URLs": [[11, "upstream-urls"]], "Utility script to create and maintain packages": [[11, "utility-script-to-create-and-maintain-packages"]], "Creating packages": [[11, "creating-packages"]], "Updating packages to a new version": [[11, "updating-packages-to-a-new-version"]], "Obtaining package metrics": [[11, "obtaining-package-metrics"]], "Building the package": [[11, "building-the-package"]], "Inclusion procedure for new and updated packages": [[11, "inclusion-procedure-for-new-and-updated-packages"]], "License information": [[11, "license-information"]], "Prerequisites for new standard packages": [[11, "prerequisites-for-new-standard-packages"]], "Packaging the Sage Library for Distribution": [[12, "packaging-the-sage-library-for-distribution"]], "Modules, packages, distribution packages": [[12, "modules-packages-distribution-packages"]], "Ordinary packages vs. implicit namespace packages": [[12, "ordinary-packages-vs-implicit-namespace-packages"]], "Source directories of distribution packages": [[12, "source-directories-of-distribution-packages"]], "Dependencies and distribution packages": [[12, "dependencies-and-distribution-packages"]], "Build-time dependencies": [[12, "build-time-dependencies"]], "Module-level runtime dependencies": [[12, "module-level-runtime-dependencies"]], "Other runtime dependencies": [[12, "other-runtime-dependencies"]], "Doctest-only dependencies": [[12, "doctest-only-dependencies"]], "Dependencies of the Sage documentation": [[12, "dependencies-of-the-sage-documentation"]], "Version constraints of dependencies": [[12, "version-constraints-of-dependencies"]], "Hierarchy of distribution packages": [[12, "hierarchy-of-distribution-packages"]], "Testing distribution packages": [[12, "testing-distribution-packages"]], "Preparing doctests for modularized testing": [[12, "preparing-doctests-for-modularized-testing"]], "Testing the distribution in virtual environments with tox": [[12, "testing-the-distribution-in-virtual-environments-with-tox"]], "Testing on Multiple Platforms": [[14, "testing-on-multiple-platforms"]], "Testing PRs with GitHub Actions": [[14, "testing-prs-with-github-actions"]], "Sage buildbots": [[14, "sage-buildbots"]], "Test reports on sage-release": [[14, "test-reports-on-sage-release"]], "Testing on multiple platforms using Docker": [[14, "testing-on-multiple-platforms-using-docker"]], "Discovering the system\u2019s package system": [[14, "discovering-the-system-s-package-system"]], "Using Sage\u2019s database of distribution prerequisites": [[14, "using-sage-s-database-of-distribution-prerequisites"]], "Using Sage\u2019s database of equivalent distribution packages": [[14, "using-sage-s-database-of-equivalent-distribution-packages"]], "Committing a container to disk": [[14, "committing-a-container-to-disk"]], "Generating dockerfiles": [[14, "generating-dockerfiles"]], "Debugging a portability bug using Docker": [[14, "debugging-a-portability-bug-using-docker"]], "Automatic Docker-based build testing using tox": [[14, "automatic-docker-based-build-testing-using-tox"]], "Automatic build testing on the host OS using tox -e local-direct": [[14, "automatic-build-testing-on-the-host-os-using-tox-e-local-direct"]], "Automatic build testing on the host OS with best-effort isolation using tox -e local": [[14, "automatic-build-testing-on-the-host-os-with-best-effort-isolation-using-tox-e-local"]], "Automatic build testing on macOS with a best-effort isolated installation of Homebrew": [[14, "automatic-build-testing-on-macos-with-a-best-effort-isolated-installation-of-homebrew"]], "Automatic build testing with a best-effort isolated installation of Conda": [[14, "automatic-build-testing-with-a-best-effort-isolated-installation-of-conda"]], "Options for build testing with the local technology": [[14, "options-for-build-testing-with-the-local-technology"]], "Automatic testing on multiple platforms on GitHub Actions": [[14, "automatic-testing-on-multiple-platforms-on-github-actions"]], "Using our pre-built Docker images published on ghcr.io": [[14, "using-our-pre-built-docker-images-published-on-ghcr-io"]], "Using our pre-built Docker images for development in VS Code": [[14, "using-our-pre-built-docker-images-for-development-in-vs-code"]], "Reviewing Code": [[15, "reviewing-code"]], "Reviewing and closing PRs": [[15, "reviewing-and-closing-prs"]], "Reasons to invalidate PRs": [[15, "reasons-to-invalidate-prs"]], "The release process": [[15, "the-release-process"]], "The Sage Manuals": [[16, "the-sage-manuals"]], "Editing the documentation": [[16, "editing-the-documentation"]], "Hyperlinks": [[16, "hyperlinks"]], "Adding a new file": [[16, "adding-a-new-file"]], "Making portions of the reference manual conditional on optional features": [[16, "making-portions-of-the-reference-manual-conditional-on-optional-features"]], "Building the manuals": [[16, "building-the-manuals"]], "Document names": [[16, "document-names"]], "Syntax highlighting Cython code": [[16, "syntax-highlighting-cython-code"]], "Development and Testing Tools": [[17, "development-and-testing-tools"]], "Tox": [[17, "tox"]], "Doctest": [[17, "doctest"]], "Doctest with Coverage.py": [[17, "doctest-with-coverage-py"]], "Coverage": [[17, "coverage"]], "Startuptime": [[17, "startuptime"]], "Pycodestyle": [[17, "pycodestyle"]], "Cython-lint": [[17, "cython-lint"]], "Ruff": [[17, "ruff"]], "Relint": [[17, "relint"]], "Codespell": [[17, "codespell"]], "Pytest": [[17, "pytest"]], "Pyright": [[17, "pyright"]], "Pyflakes": [[17, "pyflakes"]], "Act": [[17, "act"]], "Development Walk-through": [[18, "development-walk-through"]], "Checking Git": [[18, "checking-git"]], "Obtaining the Sage source code": [[18, "obtaining-the-sage-source-code"]], "Branching out": [[18, "branching-out"]], "The history": [[18, "the-history"]], "Editing the source code": [[18, "editing-the-source-code"]], "Rebuilding Sage": [[18, "rebuilding-sage"]], "Making commits": [[18, "making-commits"]], "Using Git with GitHub": [[19, "using-git-with-github"]], "Development workflow at a glance": [[19, "development-workflow-at-a-glance"]], "Creating a new PR": [[19, "creating-a-new-pr"]], "Checking out an existing PR": [[19, "checking-out-an-existing-pr"]], "Uploading more changes to GitHub": [[19, "uploading-more-changes-to-github"]], "Finishing it up": [[19, "finishing-it-up"]], "Merging the upstream develop branch": [[19, "merging-the-upstream-develop-branch"]], "Setting up Your Workspace": [[20, "setting-up-your-workspace"]], "Text editors and IDEs for use with Sage": [[20, "text-editors-and-ides-for-use-with-sage"]], "Gitpod": [[20, "gitpod"]]}, "indexentries": {"pep 0008": [[0, "index-0"]], "pep 0257": [[0, "index-1"]], "python enhancement proposals": [[0, "index-0"], [0, "index-1"]], "make": [[4, "index-0"], [4, "index-1"]], "environment variable": [[4, "index-0"], [4, "index-1"], [11, "index-0"], [11, "index-1"], [11, "index-2"], [11, "index-3"], [11, "index-4"], [11, "index-5"], [11, "index-6"], [14, "index-0"], [14, "index-1"], [14, "index-2"], [14, "index-3"], [14, "index-4"], [18, "index-0"]], "cflags": [[11, "index-0"]], "cxxflags": [[11, "index-1"], [11, "index-4"]], "f77flags": [[11, "index-3"], [11, "index-6"]], "fcflags": [[11, "index-2"], [11, "index-5"]], "sage_local": [[14, "index-2"], [14, "index-3"]], "sage_root": [[14, "index-0"], [14, "index-1"], [18, "index-0"]], "sage_venv": [[14, "index-4"]]}})